v0.7.2				28/02/05
----------------------------------------------------------------------------
2005-02-28 15:26  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: Fix copyright.
	  Fix colors ordering in gaussian blur

2005-02-27 00:31  cgilles

	* libs/filters/imagefilters.cpp: Channel mixer: fixed inversion
	  between red and blue channels

2005-02-25 16:27  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: Add channel
	  mixer for future image plugin.

2005-02-25 11:34  cgilles

	* libs/widgets/: imageguidewidget.cpp, imageguidewidget.h: Fix
	  mouse tracking for cross postion at lauch widget.  Add new method
	  for get cross position and set cross visible (for future image
	  plugins)

2005-02-25 10:05  cgilles

	* libs/widgets/: imagepaniconwidget.cpp, imagepaniconwidget.h:
	  Improve double buffering.  Fix mouse right click focus running.

2005-02-25 07:44  cgilles

	* digikam/digikamfirstrun.cpp: Fix i18n

2005-02-24 07:33  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: New gaussian
	  blur filter used in image editor plugins

2005-02-24 02:20  pahlibar

	* utilities/imageeditor/imagewindow.cpp:

	  prompt for save if image has been modified and user tries to open
	  a new file

2005-02-23 11:22  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: Fix antialias
	  method to smartblur

2005-02-22 10:57  cgilles

	* digikam/imagepropertieshistogram.cpp: No need to have Qimage
	  alpha buffer enable.

2005-02-22 10:54  cgilles

	* libs/widgets/imageregionwidget.cpp: No need to enable QImage
	  alphaBuffer

2005-02-21 15:55  cgilles

	* libs/widgets/imageselectionwidget.cpp: Fixed bug #91378, comments
	  #6 CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-21 05:37  pahlibar

	* kioslave/digikamio.cpp:

	  when copying files over, set the file modification time to that
	  of src file BUG: 99896

2005-02-20 19:19  pahlibar

	* utilities/imageeditor/imagewindow.cpp:

	  the toolbar "name" got changed in the transition to kmainwindow.
	  change. fixes bug with toolbar not hiding in full screen mode

2005-02-20 19:05  pahlibar

	* utilities/setup/setupcamera.cpp:

	  do the same for auto-detect in setup as in main window
	  auto-detect

2005-02-17 16:47  pahlibar

	* digikam/digikamapp.cpp, utilities/imageeditor/undocache.cpp:

	  make sure the undo cache is properly emptied if the user closes
	  the main window instead of the image window first

2005-02-17 16:15  pahlibar

	* utilities/cameragui/cameraiconview.cpp:

	  use localtime and not utc to generate the exif based filename
	  BUGS: 99544

2005-02-16 19:49  pahlibar

	* digikam/albumfiletip.cpp:

	  Better solution. escape all html characters CCBUGS: 99500

2005-02-16 02:13  pahlibar

	* digikam/: albumfiletip.cpp, imagedescedit.cpp:

	  show tooltip text as actual text. also set format in
	  commentseditor to use plaintext BUGS: 99500

2005-02-15 23:28  ach

	* digikam/main.cpp, showfoto/main.cpp: oh,oh msg freeze. revert

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-15 21:54  ach

	* digikam/main.cpp, showfoto/main.cpp: you were not that lazy this
	  year ;)

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-15 12:40  lukas

	* showfoto/main.cpp: show the app translated

2005-02-14 11:16  cgilles

	* imageplugins/imageplugin_core.cpp: Fix icon name

2005-02-14 09:18  cgilles

	* Makefile.am: Patch from Laurent Montel

2005-02-11 23:21  pahlibar

	* digikam/: albumiconitem.cpp, albumiconitem.h, thumbitem.cpp,
	  thumbitem.h:

	  these methods should be const

2005-02-11 20:26  jahrens

	* digikam/: albumiconitem.cpp, albumiconitem.h, albumiconview.cpp,
	  albumiconview.h, thumbview.cpp, thumbview.h: We just decided not
	  to make this behavior configurable.  So it's possible to commit
	  before 0.7.2 release.

	  Hey Achim, no more reason to walk in circles. Stop walking and
	  update ;-)

	  BUG: 88805

2005-02-11 18:33  pahlibar

	* digikam/main.cpp:

	  insert the catalogues for kipiplugins and digikamimageplugins so
	  that the tips can be translated properly

2005-02-10 18:41  pahlibar

	* libs/filters/imagefilters.cpp:

	  suppress compiler warning

2005-02-09 21:14  adridg

	* kioslave/parse.c: compile on non-linux

2005-02-09 15:47  adrian

	* digikam/digikam.desktop: remove .png icon extentsion, because it
	  might break the svg support in some icon theme.

2005-02-09 13:14  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: Bugfix: Missing
	  to add antialiasing filter after apply an affine transformation
	  to an image.	CCMAIl: digikam-devel@list.sourceforge.net



v0.7.2-beta1			08/02/05
----------------------------------------------------------------------------

2005-02-08 12:17  cgilles

	* ChangeLog: Updated for 0.7.2-beta1 release

2005-02-08 10:29  cgilles

	* digikam.lsm, version.h: UPdate

2005-02-07 22:06  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  fix conflict between accels for crop and copy

2005-02-07 21:34  adridg

	* configure.in.in: Obey settings

2005-02-07 17:17  cgilles

	* utilities/imageeditor/: canvas.cpp, canvas.h,
	  digikamimagewindowui.rc, imagewindow.cpp, imagewindow.h: digiKam
	  image editor : -Add new 'Edit' menu entry.  -Move 'undo' action
	  in (standard KDE) -Add new 'copy' action to copy current
	  selection to clipboard. You can paste this selection in other
	  application like Kolorpaint, Gimp, Kword, etc...

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-07 16:57  cgilles

	* imageplugins/imageplugin_core.cpp: fix broken slot

2005-02-07 08:14  pahlibar

	* showfoto/Makefile.am, utilities/imageeditor/undocache.cpp:
	  in retrospect, storing the undolevels in a gdbm database was a
	  bad idea. by storing the individual undo levels in plain binary
	  cache files, a 10x speedup in saving/restoring undo level is
	  gained CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-07 03:56  pahlibar

	* imageplugins/: imageplugin_core.cpp, imageplugin_core.h:
	  platinum spelled incorrectly

2005-02-06 19:36  pahlibar

	* utilities/imageeditor/undocache.cpp:
	  use a unique name for the undocache db file, using the appname
	  and pid

2005-02-06 19:08  pahlibar

	* showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h,
	  utilities/imageeditor/undoaction.cpp,
	  utilities/imageeditor/undoaction.h:
	  * Add changing brightness, contrast, gamma (used in showfoto)
	  also as reversible actions.  * Add undo capability for showfoto
	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-06 18:50  pahlibar

	* showfoto/Makefile.am, utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/canvas.cpp, utilities/imageeditor/canvas.h,
	  utilities/imageeditor/digikamimagewindowui.rc,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h,
	  utilities/imageeditor/undoaction.cpp,
	  utilities/imageeditor/undoaction.h,
	  utilities/imageeditor/undocache.cpp,
	  utilities/imageeditor/undocache.h,
	  utilities/imageeditor/undomanager.cpp,
	  utilities/imageeditor/undomanager.h:
	  Undo for digiKam image-editor. The undo-stack design is very
	  simple: actions are either reversible (rotate,flip) or
	  irreversible (rest of the actions and all of the plugin actions).
	  The reversible undos are implemented by just saving the commands
	  and for the irreversible undos image copies are saved into a
	  temporary database.

	  At some later stage, this will be improved and redos & "History
	  based undo-redo" will be implemented BUG: 87105

2005-02-05 22:01  pahlibar

	* imageplugins/imageeffect_ratiocrop.cpp:
	  optimize by avoiding one image copy

2005-02-05 19:41  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:
	  when we create a new image using data created on the fly and set
	  it as the main image, replacing the existing image, make sure to
	  copy the image format over. otherwise the image format is empty
	  and in some cases, the compression values will not be applied
	  correctly CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-05 19:23  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp: simplify crop
	  implementation. remove imlib2 depency

2005-02-05 16:38  pahlibar

	* digikam/digikamapp.cpp:
	  that should be add images and not import folders

2005-02-05 00:20  toma

	* digikam/digikamapp.cpp: This adds "Import folders..." to the
	  context menu of the album.  Solution idea by Renchi, reviewed by
	  Renchi & approved by Renchi.	BUG: 96369

2005-02-03 18:58  cgilles

	* imageplugins/digikamimageplugin_core_ui.rc: Added action icon

2005-02-03 13:05  cgilles

	* imageplugins/: hi32-action-neutralbw.png, imageplugin_core.cpp:
	  Fix icon

2005-02-03 12:47  cgilles

	* imageplugins/: hi32-action-browntone.png,
	  hi32-action-coldtone.png, hi32-action-neutralbw.png,
	  hi32-action-platinium.png, hi32-action-selenium.png,
	  hi32-action-sepia.png, imageplugin_core.cpp: Add more icon
	  actions yet

2005-02-03 10:21  cgilles

	* imageplugins/: hi32-action-autolevels.png,
	  hi32-action-equalize.png, hi32-action-normalize.png,
	  hi32-action-stretchcontrast.png, imageplugin_core.cpp: Added more
	  action icons

2005-02-03 09:15  ach

	* libs/widgets/Makefile.am: exporting .h instead of .cpp. Fixes
	  digikamimageplugins build outside cvs.

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-03 08:10  cgilles

	* imageplugins/: hi32-action-blurimage.png,
	  hi32-action-bwtonal.png, hi32-action-invertimage.png,
	  hi32-action-ratiocrop.png, hi32-action-sharpenimage.png,
	  imageplugin_core.cpp: Add new icon actions

2005-02-02 19:01  pahlibar

	* imageplugins/digikamimageplugin_core_ui.rc,
	  utilities/imageeditor/digikamimagewindowui.rc:
	  allow plugging of plugin actions into imagewindow toolbar

2005-02-02 17:57  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  allow setting of shortcuts for the plugins. toolbar is proving to
	  be a fight CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-02 17:19  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  manually read/save the mainwindowsettings to force flushing the
	  config properly, so that the window size is correctly restored

2005-02-02 17:00  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  make sure imageviewer windowsize is correctly restored everytime

2005-02-02 16:51  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  popupmenu temporarily disabled. don't crash

2005-02-02 16:34  cgilles

	* imageplugins/hi32-action-adjustbcg.png,
	  imageplugins/hi32-action-adjusthsl.png,
	  imageplugins/hi32-action-adjustrgb.png,
	  imageplugins/imageplugin_core.cpp,
	  utilities/imageeditor/hi32-action-flip_image.png,
	  utilities/imageeditor/hi32-action-resize_image.png,
	  utilities/imageeditor/imagewindow.cpp: Add menu icons

2005-02-02 13:42  cgilles

	* imageplugins/: Makefile.am, hi32-action-redeyes.png,
	  imageplugin_core.cpp: redeyes correction icon

2005-02-02 12:56  cgilles

	* utilities/imageeditor/imagewindow.cpp: Fix blank line

2005-02-02 10:03  cgilles

	* utilities/imageeditor/imagewindow.cpp: Always use image editor
	  windows instance for child dialogs creation

2005-02-02 09:53  cgilles

	* utilities/imageeditor/: digikamimagewindowui.rc, imagewindow.cpp,
	  imagewindow.h: Restored image plugins help menu entry

2005-02-01 23:17  pahlibar

	* digikam/Makefile.am, digikam/albumiconview.cpp,
	  digikam/digikamapp.cpp, imageplugins/Makefile.am,
	  imageplugins/digikamimageplugin_core_ui.rc,
	  imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h, libs/Makefile.am,
	  libs/guibuilder/.cvsignore, libs/guibuilder/Makefile.am,
	  libs/guibuilder/guiclient.cpp, libs/guibuilder/guiclient.h,
	  libs/guibuilder/guifactory.cpp, libs/guibuilder/guifactory.h,
	  utilities/cameragui/cameracontroller.cpp,
	  utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/digikamimagewindowui.rc,
	  utilities/imageeditor/imageguiclient.cpp,
	  utilities/imageeditor/imageguiclient.h,
	  utilities/imageeditor/imageplugin.cpp,
	  utilities/imageeditor/imageplugin.h,
	  utilities/imageeditor/imagepluginloader.cpp,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h:
	  * Replaced native dynamic guibuilder system with kde xmlgui one *
	  Core plugin ported to use the new system * Toolbars and shortcuts
	  are now configurable within the imageviewer BUG: 96940

2005-02-01 11:23  cgilles

	* libs/widgets/: imageselectionwidget.cpp, imageselectionwidget.h:
	  Fix missing delete timer in destructor

2005-02-01 00:01  jahrens

	* digikam/digikamapp.cpp: Yep Achim, you're right.

	  BUG: 98305

2005-01-31 20:21  pahlibar

	* digikam/: albumiconview.cpp, kipiinterface.cpp:
	  hold the file dates separately from the kfileitems and on
	  refresh, reread the file dates and resort the items.	BUG: 98189

2005-01-31 20:04  pahlibar

	* digikam/: albumiconitem.cpp, albumiconitem.h, albumiconview.cpp,
	  albumiconview.h, albumitemhandler.h, albummanager.cpp,
	  albummanager.h, kipiinterface.cpp:
	  clean up. use kurl everywhere to prevent unnecessary
	  kurl::list<->qstringlist conversions.  use a separate member
	  variable for time in albumiconitem. to be used for fixing 98189

2005-01-31 18:53  pahlibar

	* digikam/thumbview.cpp, digikam/thumbview.h,
	  utilities/cameragui/cameraiconview.cpp:
	  * expose delayed update function in thumbview * make use of it in
	  camera icon view

2005-01-31 18:51  pahlibar

	* utilities/splashscreen/splashscreen.cpp:
	  don't hardcode fontsizes in

2005-01-31 00:52  jahrens

	* utilities/splashscreen/: splashscreen.cpp, splashscreen.h:
	  Additional animation while displaying messages on the splash
	  screen.

	  CCMAIL: digikam-devel@lists.sourceforge.net,
	  joern.ahrens@kdemail.net

2005-01-30 22:13  cgilles

	* digikam/digikamapp.cpp,
	  utilities/imageeditor/imagepluginloader.cpp: Showing the real
	  plugins number loaded at starting time to the splashcreen
	  (plugins list set in setup dialog) CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-30 21:46  cgilles

	* digikam/digikamapp.cpp, digikam/digikamapp.h,
	  utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/imagepluginloader.cpp,
	  utilities/imageeditor/imagepluginloader.h: Launching loading
	  ImagePlugins progress in Splashcreen like kipi-plugins.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-30 06:13  scripty

	* digikam/digikam.desktop,
	  imageplugins/digikamimageplugin_core.desktop,
	  kioslave/digikamio.protocol, kioslave/digikamtags.protocol,
	  kioslave/digikamthumbnail.protocol, showfoto/showfoto.desktop,
	  utilities/imageeditor/digikamimageplugin.desktop: CVS_SILENT made
	  messages (.desktop file)

2005-01-30 01:53  jahrens

	* digikam/digikamapp.cpp, digikam/digikamapp.h, digikam/main.cpp,
	  utilities/splashscreen/splashscreen.cpp,
	  utilities/splashscreen/splashscreen.h: Display status messages on
	  the splash screen while initializing digikam.

	  CCMAIL: digikam-devel@lists.sourceforge.net,
	  joern.ahrens@kdemail.net

2005-01-28 21:55  pahlibar

	* configure.in.in:
	  remove local pkg-config checks. its in kde-common now with better
	  checking for pc files in the kde prefix and destination prefix
	  (thanks, dfaure)

2005-01-28 13:53  cgilles

	* imageplugins/: imageeffect_bwsepia.cpp, imageeffect_bwsepia.h,
	  imageplugin_core.cpp, imageplugin_core.h: digiKam filters : new
	  classic Black and White photograph tonal Convertion: - Neutral
	  BW.  - Sepia.  - Selenium.  - Platinium - Cold-Tone.	- Brown.

	  Re-organize 'Convert to' filters option with a sub-menu.

	  CCMAIl:digikam-devel@lists.sourceforge.net

2005-01-28 09:23  cgilles

	* utilities/splashscreen/digikam-splash.png: Update spashcreen for
	  0.7.2

2005-01-27 23:39  jahrens

	* digikam/albumfolderview.cpp: BUG: 98026

2005-01-27 15:43  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Finalize digiKam ratio crop
	  tool

2005-01-27 11:21  amantia

	* digikam/Makefile.am, digikam/imagedescedit.cpp,
	  utilities/cameragui/Makefile.am,
	  utilities/imageeditor/Makefile.am, utilities/setup/Makefile.am:
	  Most of digikam does not compile with --enable-final.

2005-01-27 11:16  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imageselectionwidget.cpp: Aspect ratio crop digiKam
	  tool : -fix minimum selection area to a visible size (50x50).
	  -auto-correction of selection area width/height when mouse resize
	  event CCMAIL: digikam-devel@lists.sourceforge.net

2005-01-25 08:57  cgilles

	* utilities/imageeditor/imagepluginloader.cpp: BugFix : digiKam
	  image plugin core must be loaded at the before all others image
	  plugins for create a consistant menu contruction in Image Editor.
	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-01-25 07:51  cgilles

	* utilities/: imageeditor/imagewindow.cpp, setup/setupeditor.cpp:
	  Fix PNG compression and JPEG quality min and max values

2005-01-24 22:35  cgilles

	* libs/: filters/imagefilters.cpp, histogram/imagehistogram.cpp,
	  histogram/imagehistogram.h: digikam histogram computation
	  implementation : no need to have a bool flag for indicate to use
	  a threaded/unthreaded computation method. We can use parent
	  instance id instead.

2005-01-24 21:42  cgilles

	* imageplugins/imageplugin_core.cpp: Fix menu entries order

2005-01-24 16:25  cgilles

	* utilities/: imageeditor/imagewindow.cpp, setup/setupeditor.cpp:
	  Bug #97777 : digikam image editor PNG compression settings use
	  same limit that Photoshop and gimp CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-24 15:04  cgilles

	* utilities/setup/setupeditor.cpp: Bug #97777: digiKam image editor
	  setup : fixed 'JPEG Compression' by 'JPEG Quality' CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-24 14:46  cgilles

	* digikam/Makefile.am, imageplugins/Makefile.am,
	  imageplugins/imageeffect_colorsenhance.cpp,
	  imageplugins/imageeffect_colorsenhance.h,
	  imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h, libs/Makefile.am,
	  libs/filters/.cvsignore, libs/filters/Makefile.am,
	  libs/filters/imagefilters.cpp, libs/filters/imagefilters.h:
	  digiKam image editor: - Add Image colors enhance filter in shared
	  lib for DigikamImagePlugins.	- Fix old Normalize option like
	  Stretch Contrast.  - Add new option Normalize using Gimp 2.x
	  algorithm.

	  Digikamimageplugins : - Fixed configure tests for using new
	  digiKam filters lib.	- AntiVignetting plugin use new Normalize
	  filter for digiKam core.

	  CCMAIL : digikam-devel@lists.sourceforge.net

2005-01-24 08:58  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h: digiKam ratio Crop tool: reset selection
	  area with ratio properties are changed.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-24 08:53  cgilles

	* libs/widgets/: Makefile.am, imageguidewidget.cpp,
	  imageguidewidget.h, imageselectionwidget.cpp,
	  imageselectionwidget.h: Added common guide widget (from
	  FreeRotation tool) used in : - FreeRotation plugin.  - ShearTool
	  plugin.  - LensDistortion plugin.

2005-01-22 14:50  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: digiKam Aspect Ratio Crop
	  tool : Added a new option for to set the selection area to the
	  max. size accordinly with the current aspect ratio.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-22 11:56  cgilles

	* libs/widgets/imageselectionwidget.cpp: digiKam Aspect Ratio crop
	  tool : improve draging selection area control

2005-01-22 10:30  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imageselectionwidget.cpp: digiKam Aspect Ratio Crop
	  tool : remember X/Y position and width/height selection CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-21 16:29  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Bug fix in digiKam Aspect
	  ratio crop tool : separate width and height "selection change"
	  signals for to update dialog informations.

2005-01-21 12:51  cgilles

	* libs/widgets/imageselectionwidget.cpp: Increase drag corner sizes

2005-01-21 08:03  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Aspect Ratio Crop tool
	  digiKam image editor: added 'Rule Third Lines' guides for to help
	  users to compose a photograph.

	  'Rule Third Lines' guides are based on the 'golden rule' therory
	  used by the most popular photographers (this theory is based on
	  the Fibonacci works).

	  If you want more informations about to use 'Rule Third Lines',
	  please read at this url :
	  http://www.megapixel.net/html/issueindex.php?lang=en

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-01-20 06:01  scripty

	* kioslave/: digikamio.protocol, digikamtags.protocol,
	  digikamthumbnail.protocol: CVS_SILENT made messages (.desktop
	  file)

2005-01-19 07:58  cgilles

	* libs/widgets/imageselectionwidget.cpp: minor fix

2005-01-19 00:21  pahlibar

	* showfoto/thumbbar.cpp:
	  this should be at the bottom

2005-01-18 01:03  pahlibar

	* showfoto/: thumbbar.cpp, thumbbar.h:
	  tooltip support for showfoto

2005-01-17 22:41  jahrens

	* digikam/digikamapp.cpp: setAutoSaveSettings() was called too
	  early. for imagewindow we need another solution.

	  CCBUG: 96940

2005-01-17 15:41  coles

	* digikam/cameralist.cpp, imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_redeye.cpp,
	  imageplugins/imageeffect_sharpen.cpp,
	  kioslave/digikamthumbnail.cpp:

	  CVS_SILENT

	  Corrected typos.

2005-01-17 06:04  mueller

	* configure.in.in, libs/widgets/imageselectionwidget.h: fix
	  compilation

2005-01-15 12:37  cgilles

	* digikam/albumiconitem.cpp: Apply patch from Carsten GroB
	  <carsten@siski.de> for fix album icon item date i18n using kde
	  API.	CCMAIL: digikam-devel@lists.sourceforge.net

2005-01-15 01:42  jahrens

	* digikam/: digikamapp.cpp, digikamapp.h: BUG: 96941

2005-01-13 21:30  pahlibar

	* digikam/kipiinterface.cpp:
	  pick image list sorted as in current view for tag albums, when
	  the list is sent to kipi-plugins BUG: 96895

2005-01-07 05:44  pahlibar

	* imageplugins/imageeffect_sharpen.cpp:
	  imlib2 sharpen function is broken. replaced with sharpening
	  filter fudged from gimp BUG: 96290

2005-01-06 22:13  pahlibar

	* kioslave/: Makefile.am, digikamthumbnail.cpp, parse.c:
	  partial fix for #96459. try parse.c from dave coffin before
	  trying dcraw to see if we can actually extract the thumbnail from
	  the images. the speed difference doesn't seem too substantial
	  though CCBUG: 96459

2005-01-05 18:06  pahlibar

	* digikam/: cameralist.cpp, cameralist.h, digikamapp.cpp:
	  if we fail to auto-detect the camera at the initial startup, give
	  an option to the user to retry

2005-01-05 17:48  pahlibar

	* utilities/cameragui/cameraiconview.cpp:
	  fixed broken selection for "undownloaded" (new) images BUG: 92977

2005-01-04 22:53  deller

	* version.h: micro-optimization, aproved by Caulier Gilles CCMAIL:
	  Caulier Gilles <caulier.gilles@free.fr>

2005-01-03 18:48  pahlibar

	* ChangeLog:
	  update changelog for release

2005-01-03 18:43  pahlibar

	* version.h:
	  bump up version number

v0.7.1				03/01/05
----------------------------------------------------------------------------
2004-12-29 19:06  pahlibar

	* showfoto/: thumbbar.cpp, thumbbar.h:
	  optimize the repaints. paint only whats needed

2004-12-29 13:13  pahlibar

	* utilities/cameragui/: cameraui.cpp, dirselectdialog.cpp,
	  dirselectdialog.h:
	  Allow downloading of albums into sub auto-albums of root album
	  (if and only if Auto album creation option is checked) BUG: 95965

2004-12-28 21:55  pahlibar

	* utilities/cameragui/: Makefile.am, cameracontroller.cpp,
	  cameraiconview.cpp, dkcamera.cpp, dkcamera.h, gpcamera.cpp,
	  gpcamera.h, umscamera.cpp, umscamera.h:
	  * abstracted out the camera interface * separate implementations
	  for gphoto2 supported cameras and usb mass   storage cameras *
	  the usb mass storage cameras now do direct file io operations
	  instead of   relying on gphoto2 "directory browse" driver * all
	  files (as specified by file extensions) can be browsed using the
	  new	usb mass storage camera interface

2004-12-28 17:06  pahlibar

	* kioslave/: digikamthumbnail.cpp, digikamthumbnail.h:
	  Use dcraw to generate a quick-image to generate thumbnails for
	  raw images. Its more reliable than using Dave Coffin's parse.c in
	  extracting images and the generation speed seems reasonable
	  BUG: 90875

2004-12-27 15:42  pahlibar

	* utilities/setup/setupcamera.cpp:
	  just check in the currently listed cameras in the listview to
	  prevent adding the auto-detected cameras multiple times.  BUG:
	  95880

2004-12-24 03:21  cgilles

	* imageplugins/imageeffect_colorsenhance.cpp,
	  libs/histogram/imagehistogram.cpp,
	  libs/histogram/imagehistogram.h: Fixed Bug 95744 (Digikam crashes
	  when selecting "Automatic level" in the editor) : Since histogram
	  calculation use a thread, i have missing to add a non-threaded
	  calculation for this operation : - AutoLevels.  - Normalize.	-
	  Equalize.  Fixed Histogram lib and imageplugin core
	  implementation.  CCMAIL: digikam-devel@lists.sourceforge.net'

2004-12-24 03:20  cgilles

	* imageplugins/imageeffect_colorsenhance.cpp,
	  libs/histogram/imagehistogram.cpp,
	  libs/histogram/imagehistogram.h: Fixed Bug 95744 (Digikam crashes
	  when selecting "Automatic level" in the editor) : Since histogram
	  calculation use a thread, i have missing to add a non-threaded
	  calculation for this operation :
	  - AutoLevels.  - Normalize.  - Equalize.
	  Fixed Histogram lib and imageplugin core implementation.


2004-12-23 15:49  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:
	  a quick christmas gift before i leave. digiKam and showFoto can
	  now load and display all the "useless" formats which imlib2
	  doesn't support, but kde does (for eg: eps, ico, exr, JPEG 2000,
	  ...)

2004-12-22 16:20  cgilles

	* digikam/imagedescedit.cpp, digikam/imageproperties.cpp,
	  utilities/imageeditor/imagewindow.cpp: Do ensure visible current
	  album thumb item in main window when Next/prev button is actived
	  in Properties Dialog/Description Dialog/ImageEditor.

2004-12-22 13:49  pahlibar

	* digikam/: albumfolderview.cpp, albumpropsedit.cpp,
	  albumsettings.cpp:
	  * sort collections by names * fix an issue with empty collections
	  showing up if the saved collection list   has an empty collection
	  BUG: 95669

2004-12-22 07:44  cgilles

	* utilities/imageeditor/imagewindow.cpp: Thumbs actived in current
	  Album Window follows current image selected in Image Editor.

2004-12-21 12:11  pahlibar

	* kioslave/Makefile.am:
	  added libpng explicitly to the linker flags BUG: 95582

2004-12-21 12:00  pahlibar

	* kioslave/digikamio.cpp:
	  fixed broken copy of a src file with non-latin chars in its path
	  to any destination album. some encoding qcstring->qstring voodoo


v0.7.1-beta2			20/12/04
----------------------------------------------------------------------------
2004-12-20 15:11  pahlibar

	* configure.in.in:
	  make sure to check for libkexif 0.2 version

2004-12-20 13:21  pahlibar

	* digikam/albumdb.cpp:
	  revert back to using local8bit as moving to fromutf8 breaks
	  backward compatibility for "C" locale users

2004-12-20 13:18  pahlibar

	* kioslave/digikamthumbnail.cpp:
	  fix endianness issue in loading png thumbnails

2004-12-18 15:16  cgilles

	* utilities/splashscreen/digikam-splash.png: Updated official 0.7.1
	  release splashscreen from Yemu

2004-12-18 04:17  cgilles

	* digikam/imagedescedit.cpp: kexif.h have been changed to
	  kexifwidget.h.  Bug reported by Laurent Montel from MandrakeSoft

v0.7.1-beta1			17/12/04
----------------------------------------------------------------------------
2004-12-17 12:17  cgilles

	* imageplugins/: imageeffect_colorsenhance.cpp,
	  imageeffect_colorsenhance.h, imageplugin_core.cpp,
	  imageplugin_core.h: Added invert color method for positive image
	  correction.

2004-12-17 11:15  cgilles

	* digikam/imagedescedit.cpp, digikam/imagedescedit.h,
	  utilities/imageeditor/imagewindow.cpp: Image Description dialog:
	  disable Next/Prv button if launched from Image Editor like Image
	  Properties Dialog.

2004-12-17 00:10  cgilles

	* digikam/: imagedescedit.cpp, imageproperties.cpp: Follow selected
	  item from image properties / image description dialogs in current
	  album

2004-12-15 21:10  pahlibar

	* digikam/: imageproperties.cpp, imagepropertieshistogram.cpp,
	  imagepropertieshistogram.h:
	  fix regression. show selected area histograms as well

2004-12-15 14:40  pahlibar

	* digikam/imagepropertiesexif.cpp:
	  make sure that the level currently selected in the exif view is
	  properly restored

2004-12-15 14:31  pahlibar

	* digikam/Makefile.am, digikam/albumiconview.cpp,
	  digikam/imageproperties.cpp, digikam/imageproperties.h,
	  digikam/imagepropertiesexif.cpp, digikam/imagepropertiesexif.h,
	  digikam/imagepropertiesgeneral.cpp,
	  digikam/imagepropertiesgeneral.h,
	  digikam/imagepropertieshistogram.cpp,
	  digikam/imagepropertieshistogram.h, showfoto/showfoto.cpp,
	  utilities/cameragui/cameracontroller.cpp,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h:
	  * imageproperties has been split into four classes: three for
	  individual pages   and one for the wrapper to build the dialog *
	  code cleanup galore * use the new embeddable exif widget to build
	  the exif page.  * exif thumbnail option removed * exif list can
	  be shown in two modes (simple - only the EXIF ifd and full -
	  all the EXIF ifds) * imageproperties dialog works in two modes,
	  one activated from the albumiconview,   allows user to traverse
	  through the items, second activated from the imageviewer,   a
	  single item view (need to add a third option to run it with
	  supplied image data	to show the correct histogram for the
	  updated image in the imageviewer) * regression checks requested.

2004-12-15 04:26  pahlibar

	* digikam/albumfolderview.cpp:
	  fix issue with dragitem persisting inspite of mouse button having
	  being released

2004-12-15 04:12  pahlibar

	* digikam/albumfolderview.cpp:
	  do not jump around when an album has been renamed

2004-12-15 03:41  pahlibar

	* digikam/: albumdb.cpp, main.cpp:
	  * disable autorename of albums in db as it can cause problems
	  with user   changing his locale settings * save the current
	  locale setting and warn the user (with option to bail   out and
	  correct the locale) if we detect a locale change from previous
	  run

2004-12-14 12:57  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h: Aspect ratio crop tool : remember
	  settings.

2004-12-14 07:56  pahlibar

	* imageplugins/: imageeffect_redeye.cpp, imageplugin_core.cpp:
	  keep the redeye correction tool enabled always. if there is no
	  selection, have a passivepopup popup informing user what to do.
	  the popup hides itself after a short delay or when user clicks on
	  it

2004-12-13 06:35  pahlibar

	* digikam/albumfiletip.cpp:
	  removed the owner and file permissions from the tooltip. takes up
	  space and not a very useful parameter (you can access full info
	  through the file properties dialog anyways)

2004-12-13 06:20  pahlibar

	* imageplugins/imageeffect_ratiocrop.cpp:
	  to add a child layout to a widget which already has a layout,
	  create it first with no parent and then insert it into the
	  widget's layout

2004-12-13 04:17  pahlibar

	* utilities/imageeditor/: imageprint.cpp, imageprint.h,
	  imagewindow.cpp:

	  * default option to print now is "Scale image to fit paper" *
	  another option now is to "Scale image to specified dimensions".
	  implemented	image scaling to handle this for centimeters and
	  inches * Instead of saving the image file first and then
	  reloading to print it, get the   current image data, put it into
	  a qimage and pass it directly to the imageprint.    substantially
	  reduces the time needed for print operations to start  BUG: 92438

2004-12-13 01:04  pahlibar

	* HACKING:
	  Hacking file has been added to cvs. Developers take heed 

2004-12-12 22:23  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp: Used GridLayout for
	  widgets. Added Tooltips

2004-12-12 06:50  pahlibar

	* digikam/listitem.cpp, digikam/thumbitem.cpp, digikam/thumbitem.h,
	  digikam/thumbview.cpp, digikam/thumbview.h,
	  showfoto/showfoto.desktop,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h:
	  various fixes (based on icefox's kde test reports) - added
	  copyrights, replaced func(QString a) with func(const QString& a).

2004-12-11 20:19  pahlibar

	* utilities/cameragui/: cameraiconitem.cpp, cameraiconitem.h,
	  cameraiconview.cpp, cameraiconview.h, cameraui.cpp, cameraui.h:
	  * replaced qiconview	in cameraview with thumbview. selection is
	  now more   sensible, horizontal layout and so horizontal
	  selection * eliminates flicker as well BUG: 94913

2004-12-11 11:20  cgilles

	* libs/widgets/imageselectionwidget.cpp: Fixed feedback local2real
	  selection position when X or Y changing in Ratio-Crop tool dialog

2004-12-10 15:12  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp: Fixed widget canvas

2004-12-10 14:39  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Ratio-crop tool : -Added
	  custom ratio settings.  -Added none ratio setting.  -Make fade
	  selection and border like in ImageEditor. 

2004-12-09 18:55  cgilles

	* libs/widgets/: imageselectionwidget.cpp, imageselectionwidget.h:
	  Ratio-crop tool : patch from Renchi for Blending effect outside
	  image selection

2004-12-09 16:16  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Ratio-Crop tool update : -
	  implementation 90 % complete. Need to polish some points.  -
	  Draging selection by corners done.

2004-12-09 12:25  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h, libs/widgets/Makefile.am,
	  libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Added new widget dedicaced
	  for image selection in Ratio-crop tool instead PanIconWidget.
	  This widget include aspect-ratio code instead ratio-crop dialog
	  code.

2004-12-08 16:14  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h: Fixed orientation event

2004-12-08 13:11  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imagepaniconwidget.cpp: Fixed region selection
	  calculation

2004-12-08 11:32  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp, imageplugin_core.cpp:
	  FIxed Ratio-Crop tool accordinly with Renchi

2004-12-08 11:18  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h: Grayed outside selection in
	  ratio-crop tool

2004-12-08 10:39  pahlibar

	* configure.in.in, digikam/albummanager.cpp,
	  kioslave/digikamio.cpp, kioslave/digikamtags.cpp:
	  added configure option "--enable-nfs-hack" for users facing
	  problems with sqlite database file locking not working on nfs
	  mounted disk. the album db is saved (with this option enabled) in
	  $HOMEDIR/.kde/share/apps/digikam with a filename encoded with the
	  full path to the album library path. for eg, for album library
	  path /mnt/nfsmount/Pictures, the db filename will be
	  %2fmnt%2fnfsmount%2fPictures%2fdigikam.db (the %2f is escaped in
	  konqueror as "/") obviously this is an unsupported option and
	  normal users should never use this option BUG: 94161

2004-12-08 09:53  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h: Fixed aspect ratio values : using only
	  ratio, not print paper sizes.

2004-12-08 08:09  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h: Bug Fix: create new signal
	  when selection size is changed. This fix crash with
	  ImagePreviewWidget used in ImageEditor filter like Blur and
	  Sharpen.

2004-12-08 06:54  pahlibar

	* digikam/digikamapp.cpp, digikam/digikamapp.h,
	  utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
	  utilities/setup/setup.cpp:
	  * when downloading files from the camera, check for the file
	  extension of each file and added it to the image mimetype list if
	  not found. refresh the view appropriately.  * minor code cleanup

	  BUG: 94618

2004-12-08 05:36  pahlibar

	* digikam/albumsettings.cpp, utilities/setup/setup.cpp:
	  * add pnm to default file extensions to look for * fix mimetype
	  icon in setup dialog

2004-12-07 16:45  cgilles

	* imageplugins/: Makefile.am, imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h, imageplugin_core.cpp,
	  imageplugin_core.h: Added ratio-crop tool for image editor
	  inspired from PhotoAlbum and PhotoShop Album tools.  Code
	  partially tested. Tool working but uncomplete. Missing droping
	  selection border and standard photograph paper sizes in inch.

2004-12-07 16:41  cgilles

	* libs/widgets/: imagepaniconwidget.cpp, imagepaniconwidget.h:
	  Added methods for ratio-crop tool

2004-12-06 12:51  cgilles

	* imageplugins/digikamimageplugin_core.desktop: Missing encoding
	  type

2004-12-06 11:11  pahlibar

	* digikam/: tagcreatedlg.cpp, tagcreatedlg.h:
	  do the same (enable ok button only if title is non-empty) for tag
	  edit/create dialogs. will be a good idea to merge both dialogs
	  into one

2004-12-06 11:04  pahlibar

	* digikam/: albumpropsedit.cpp, albumpropsedit.h:
	  disable ok button if title is empty. there might be other places
	  too where this will be needed

2004-12-06 01:24  pahlibar

	* digikam/albumfolderview.cpp:
	  fix crash in albumfolderview because of mouse tracking. still not
	  optimal, you have problems with dragging starting if a tag/folder
	  has been dragged before and then you press alt/ctrl/shift.

	  need to talk to joern whether mouse tracking on the treeview is
	  really necessary. it makes life more difficult without really
	  adding anything much of value
          
2004-12-05 21:21  pahlibar

	* showfoto/showfoto.cpp:
	  include unistd header for unlink

2004-12-05 10:11  pahlibar

	* digikam/: albumfolderview.cpp, albumfolderview.h:
	  fix bug where dragging item and then releaseing it out the
	  folderview, will not clear the dragitem.

2004-12-05 09:51  pahlibar

	* digikam/imagedescedit.cpp:
	  item gets deleted unwantendly

2004-12-05 08:16  pahlibar

	* showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, showfoto/thumbbar.cpp,
	  showfoto/thumbbar.h, utilities/imageeditor/imlibinterface.cpp:
	  added save/saveas to showFoto. with this showFoto is feature
	  complete for release with digiKam 0.7.1

2004-12-05 02:20  pahlibar

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc:
	  added revert action

2004-12-05 01:10  pahlibar

	* showfoto/: TODO, showfoto.cpp, showfoto.h, showfotoui.rc:
	  add crop action

2004-12-05 00:53  pahlibar

	* showfoto/TODO, showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, utilities/imageeditor/canvas.cpp,
	  utilities/imageeditor/canvas.h,
	  utilities/imageeditor/imlibinterface.cpp:
	  added actions to increase/decrease gamma/brightness/contrast in
	  imageditor canvas. accessible only through showfoto.	digikam
	  users can use the brightness/contrast/gamma dialog

2004-12-04 17:06  cgilles

	* libs/curves/imagecurves.cpp: Fixed stupid limit for x Points
	  values (-1 is used for disable a point) !

2004-12-04 06:32  pahlibar

	* showfoto/TODO:
	  added mini TODO file for showFoto

2004-12-04 06:32  pahlibar

	* showfoto/showfoto.cpp:
	  zoom autofit should be saved and restored. default autofit

2004-12-04 06:23  pahlibar

	* showfoto/showfoto.cpp:
	  add additional key accels for loading next/prev image. that
	  should take care of all complaints

2004-12-04 06:18  pahlibar

	* showfoto/: showfoto.cpp, showfotoui.rc:
	  added options for rotating and flipping the image. use kuickshow
	  keys for the actions

2004-12-04 05:55  pahlibar

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc:
	  added config option to autosave/restore window size and showing
	  of thumbnail sidebar

2004-12-04 05:22  pahlibar

	* showfoto/: showfoto.cpp, thumbbar.cpp:
	  showFoto can now see remote images.  show kde image icon for
	  failed thumbnails

2004-12-03 21:13  cgilles

	* libs/curves/imagecurves.cpp: Curves histgram manipulation API
	  100% complete.

2004-12-03 15:04  cgilles

	* libs/curves/imagecurves.cpp: no init nedded

2004-12-03 12:56  cgilles

	* libs/curves/: imagecurves.cpp, imagecurves.h: Fixed Curves API
	  (90% completed)

2004-12-02 11:37  cgilles

	* libs/curves/: imagecurves.cpp, imagecurves.h: Update curves
	  methods (80% completed)

2004-12-01 22:57  cgilles

	* libs/widgets/histogramwidget.h: Fixed enum

2004-12-01 16:03  cgilles

	* digikam/Makefile.am: added curve API in libdigikam

2004-12-01 16:02  cgilles

	* libs/curves/: .cvsignore, Makefile.am, imagecurves.cpp,
	  imagecurves.h: Added curve API from Gimp2.0. Uncomplete (70%).
	  This API will be use in the future for: - new convert 2 B&W
	  filter implementation based on
	  http://www.gimpguru.org/Tutorials/Color2BW tutorial.	- new image
	  plugin (in digikamimageplugins project) for adjust curves.  - new
	  colors filters.

2004-12-01 15:57  cgilles

	* libs/widgets/: colorgradientwidget.cpp, colorgradientwidget.h:
	  Added capability to use gradient vertically

2004-12-01 14:45  cgilles

	* imageplugins/imageeffect_colorsenhance.cpp, libs/Makefile.am,
	  libs/levels/imagelevels.cpp, libs/levels/imagelevels.h: Fixed
	  method name

2004-12-01 13:07  cgilles

	* libs/levels/imagelevels.cpp: Fix comments

2004-12-01 08:50  cgilles

	* libs/levels/: imagelevels.cpp, imagelevels.h: minor fix

2004-11-30 14:26  pahlibar

	* utilities/imageeditor/: imagewindow.cpp, imlibinterface.cpp:
	  fix memory leak. remove obsolete signal/slot (free rotate)
	  connection

2004-11-30 08:49  cgilles

	* libs/widgets/: Makefile.am, imagetoolswidget.cpp,
	  imagetoolswidget.h: No need this widget in core. Moved in
	  FreeRotation plugin

2004-11-29 20:57  pahlibar

	* digikam/: cameralist.cpp, digikamapp.cpp:
	  use "usb:" instead of actual port number for auto-detecting
	  cameras. the port numbers change with each reconnect on linux

2004-11-29 14:43  cgilles

	* utilities/imageeditor/: Makefile.am, canvas.cpp, canvas.h,
	  imageguiclient.cpp, imageguiclient.h, imagerotatedlg.cpp,
	  imagerotatedlg.h, imagewindow.cpp, imagewindow.h,
	  imlibinterface.cpp, imlibinterface.h: Image Editor : removed Free
	  Rotation tool for core. Available now like image plugin.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2004-11-29 14:19  cgilles

	* Digikam.kdevelop, utilities/imageeditor/canvas.cpp,
	  utilities/imageeditor/imageiface.cpp,
	  utilities/imageeditor/imageiface.h,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h: Image editor plugin
	  interface : added capabilty to update image data with differents
	  size from original.

2004-11-29 08:24  pahlibar

	* utilities/cameragui/: dirselectdialog.cpp, dirselectdialog.h:
	  * it was possible to select the root album as the camera
	  destination	directory. fixed * enable the ok button only if a
	  destination album is selected and it	 is not the root album

2004-11-29 06:12  pahlibar

	* digikam/: cameralist.cpp, cameralist.h, digikamapp.cpp,
	  digikamapp.h, main.cpp:
	  new commandline option "--detect-camera". if this is supplied,
	  digikam will try to detect if a camera is connected (works only
	  for gphoto2 supported usb cameras) and connects to it. if the
	  camera is not listed in the already setup list of cameras, it
	  will be added to it.

2004-11-29 05:24  pahlibar

	* utilities/cameragui/: cameraiconitem.cpp, cameraiconitem.h,
	  cameraiconview.cpp, cameraiconview.h, cameraui.cpp:
	  fixed regression from 0.6.2 to 0.7.0 . those folks lucky enough
	  to have a camera which indicates a files downloaded status, will
	  get a new item emblem on the items which haven't been downloaded
	  yet. added a new select items button, using which items can
	  select all/invert selection/clear selection/select only new
	  items.

	  BUG: 92977

2004-11-29 04:08  pahlibar

	* utilities/cameragui/cameraui.cpp:
	  use KIconLoader::loadIconSet instead of loadicon to show visually
	  better disabled icons

2004-11-29 03:50  pahlibar

	* digikam/: albumfolderview.cpp, albumfolderview.h, listview.cpp,
	  thumbnailjob.cpp:
	  fixed problem with items being dragged, despite the mouse having
	  being released.  minor code fixes.

2004-11-29 00:54  jahrens

	* digikam/digikamapp.cpp, utilities/cameragui/cameraui.cpp,
	  utilities/cameragui/cameraui.h: Sure :-) Thanks copy and paste
	  there was no compile error and I couldn't find it during my
	  tests. Thanks! corrected typo CCBUG: 92884

2004-11-29 00:43  jahrens

	* digikam/: albumfolderview.cpp, albumiconview.cpp,
	  albumiconview.h, thumbview.cpp, thumbview.h: digiKam respects the
	  global kde configuration now: - single/double click to open an
	  image in the image editor - change the cursor if it is over an
	  item - visual feedback if an item is opened in the image editor

	  These things can be configured in kcontrol (Peripherals->Mouse)
	  BUG: 87762

2004-11-27 23:33  jahrens

	* utilities/imageeditor/: imagewindow.cpp, imagewindow.h:
	  I've looked at some dialogs of this kind (kolourpaint, kate,
	  kwrite...) and so I've changed the warning dialog to the behavior
	  I found there.  The dialog lets the user now choose, if he wants
	  to - save (the changes) - discard (the changes) - cancel (the
	  operation) For saveAs you have to click cancel and choose saveAs
	  from the file menu.

	  BUG: 92103

2004-11-27 19:06  jahrens

	* digikam/: digikamapp.cpp, digikamview.cpp, digikamview.h:
	  ... was in the wrong directory during commit, so here is the rest
	  :)

	  After closing the cameragui, the last destination is opened in
	  digikam.  Hope you can live with that, Guillaume.

	  BUG: 92884

2004-11-27 19:04  jahrens

	* utilities/cameragui/: cameraui.cpp, cameraui.h:
	  After closing the cameragui, the last destination is opened in
	  digikam.  Hope you can live with that, Guillaume.

	  BUG: 92884

2004-11-27 18:58  jahrens

	* digikam/listview.cpp: ensure, a selected item is visible. items
	  selected through the navigation history can be closed and have to
	  be opened.

2004-11-26 21:10  jahrens

	* digikam/: Makefile.am, albumhistory.cpp, albumhistory.h,
	  digikamapp.cpp, digikamapp.h, digikamui.rc, digikamview.cpp,
	  digikamview.h, listitem.cpp, listitem.h, listview.cpp: * Added a
	  browser-like navigation history to digikam.

	  A back/forward history button was added to the toolbar and the
	  album menu. With these buttons (or the shortcuts ALT+Key_Left /
	  ALT+Key_Right) the user can browse through the previous opened
	  albums.

2004-11-26 10:36  cgilles

	* showfoto/: Makefile.am, showfoto.cpp, showfoto.h: Back to old
	  code. no digikam depencies in showfoto

2004-11-25 15:44  cgilles

	* digikam/imageproperties.cpp: Fixed current album name in General
	  view

2004-11-25 15:00  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam Image
	  properties dialog :

	  - Fix Exif current item selected backup.  - Added new horz. bar
	  in General page between image info and file system info.

2004-11-25 13:48  cgilles

	* digikam/: albumfiletip.cpp, albumfiletip.h, imageproperties.cpp:
	  Digikam Image Properties and Album Item Tips dialogs : using
	  MimeType comment instead MimeType type !

2004-11-25 13:18  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Remove second
	  separator from General page in Stand Alone mode

2004-11-25 13:09  cgilles

	* Digikam.kdevelop, digikam/imageproperties.cpp,
	  digikam/imageproperties.h, showfoto/Makefile.am,
	  showfoto/showfoto.cpp, showfoto/showfoto.h,
	  utilities/imageeditor/imagewindow.cpp: Digikam Image Properties
	  dialog : Important changes !!!

	  - Added new constructor for stand alone mode (outside Digikam
	  instance ie without album and album items informations). Dialog
	  can be used now in ShowFoto and ImageEditor (via camera
	  interface).  - Polish General page when Stand Alone mode.

	  ShowFoto : added new menu entry File/Properties using Digikam
	  Image Properties dialog.

	  ImageEditor : remove old KFileProperties dialog and using Digikam
	  Image Properties dialog. This mode is used when ImageEditor
	  instance is created by Camera Interface.

2004-11-25 12:56  markusb

	* sqlite/Makefile.am: Fix build on platforms that don't have
	  libpthread

2004-11-25 12:54  markusb

	* digikam/albumfolderview.cpp: Fix compile with gcc 2.95.4

2004-11-25 10:38  cgilles

	* digikam/thumbnailjob.cpp: Need to test the AlbumSettings validity
	  instance when ThumbnailJob is used out of Digikam like when Image
	  Properties dialog is used in Showfoto.

2004-11-24 23:22  pahlibar

	* showfoto/: showfoto.cpp, showfoto.h:
	  no need to keep pointer variable if one is not going to use it.
	  file properties action has no icon (a la konqueror)

2004-11-24 23:19  pahlibar

	* showfoto/: showfoto.cpp, showfoto.h:
	  fixed broken fullscreen action. if you are adding compatibility
	  code, make sure it works.

2004-11-24 18:51  cgilles

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc: Added
	  File/Properties option.  TODO: using stand alone Digikam Image
	  Properties dialog !!!

2004-11-24 18:22  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Using KPopmenu
	  instead QPopmenu.

2004-11-24 16:46  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Stand alone
	  implementation stage1 (not using AlbumIconItem and AlbumiconView)

2004-11-24 15:29  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Fixed set exif
	  orientation tag implementation

2004-11-24 15:07  cgilles

	* digikam/imageproperties.cpp: Fix save

2004-11-24 14:44  cgilles

	* showfoto/showfoto.cpp: Kde 3.1 compatibilty patch

2004-11-24 13:45  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam Image
	  Properties dialog :

	  Remember current Exif selected Item in Exif Viewer for All Levels
	  mode (General, Extended, and All). This item is automaticly
	  selected in the list when you change current image with Prev/Next
	  buttons and between each dialog instance.

	  To Digikam users : this way is very powerfull when you want to
	  search difference on Exif item between images.

	  Note : please, updated libkexif source code before to update
	  digikam.

2004-11-24 09:12  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam image
	  properties dialog : new option for toogle exif thumbnail.

2004-11-24 08:14  cgilles

	* digikam/imageproperties.cpp, digikam/imageproperties.h,
	  libs/widgets/histogramwidget.cpp, libs/widgets/histogramwidget.h:
	  Digikam image properties : remember histogram dialog options.

2004-11-24 03:11  pahlibar

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc:
	  fill the toolbar.  add fullscreen option

2004-11-23 22:47  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam image
	  properties dialog : - added Exif level information option
	  (General, Extended, or All) - Remember this option between dialog
	  instance.

2004-11-23 16:02  cgilles

	* digikam/albumiconview.cpp, digikam/digikamapp.cpp,
	  digikam/imageproperties.cpp, digikam/imageproperties.h,
	  imageplugins/Makefile.am, imageplugins/histogramviewer.cpp,
	  imageplugins/histogramviewer.h,
	  imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h,
	  libs/widgets/histogramwidget.cpp,
	  utilities/imageeditor/canvas.cpp, utilities/imageeditor/canvas.h,
	  utilities/imageeditor/imageguiclient.cpp,
	  utilities/imageeditor/imagewindow.cpp: Digikam Histogram tool
	  (Image Properties dialog) :

	  - Added histogram computation on a selected area from Image
	  Editor (like Photoshop CS(tm). If you selected an image area from
	  ImageEditor and you started Image Properties dialog, a new option
	  will be available for rendering histogram on full image or only
	  selection.  - Removed old histogram image plugin from core
	  (remplaced by Image properties histogram tab).  - Fixed
	  'Image/properties & Meta-Data" by "Image/Properties" - Using same
	  'Image/Properties' menu entry icon.

2004-11-23 10:13  pahlibar

	* showfoto/: Makefile.am, showfoto.desktop:
	  added showfoto desktop file

2004-11-23 09:26  pahlibar

	* showfoto/: Makefile.am, showfoto.cpp, showfoto.h, thumbbar.cpp,
	  thumbbar.h:
	  added a thumbnail sidebar to showFoto 

2004-11-23 00:11  pahlibar

	* digikam/albumiconview.cpp, digikam/albumiconview.h,
	  utilities/imageeditor/imageguiclient.cpp,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h:
	  * indentation fixes * albumiconview already provides a finditem
	  by url. no need to reimplement it

2004-11-22 23:43  pahlibar

	* utilities/imageeditor/canvas.cpp:
	  * reduce tilesize to 128 (gives better progress indication of
	  image rendering), and makes scrolling smoother * fix minor glitch
	  in painting of adjacent tiles

2004-11-22 22:27  cgilles

	* digikam/albumiconview.cpp, digikam/imagedescedit.cpp,
	  digikam/imagedescedit.h, digikam/imageproperties.cpp,
	  digikam/imageproperties.h, utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/imagecommentedit.cpp,
	  utilities/imageeditor/imagecommentedit.h,
	  utilities/imageeditor/imageguiclient.cpp,
	  utilities/imageeditor/imageguiclient.h,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h: Digikam Image Editor : very
	  important changes !

	  - Using Image Properties dialog from main window when image
	  editor is openned form an Album.  - Using Image Comments/Tags
	  dialog  from main window when image editor is openned form an
	  Album.  - Removing old edit comments dialog.	- Removing old Exif
	  viewer (new exif viewer is in Properties dialog)

	  To Digikam users: with this way, Digikam Image* dialogs are the
	  same in main windows and in Editor. Try Image menu entries in
	  Editor...

	  TODO: removed Histogram image plugin (new histogram is in
	  Properties dialog)


2004-11-22 13:44  cgilles

	* digikam/: imagedescedit.cpp, imagedescedit.h: Added slot when
	  thumbnail creation failed.

2004-11-22 13:29  cgilles

	* digikam/imageproperties.cpp: Digikam image properties dialog : -
	  Fixed test if current image cannot be loaded.  - Added wait
	  cursor during current load image.

2004-11-22 11:26  cgilles

	* libs/widgets/: histogramwidget.cpp, histogramwidget.h: Digikam
	  histogram widget: using timer for blinking computation message.

2004-11-22 11:24  pahlibar

	* showfoto/.cvsignore:
	  this is stupid. why does the app binary name have to be in
	  .cvsignore

2004-11-22 11:23  pahlibar

	* Makefile.am, showfoto/.cvsignore, showfoto/Makefile.am,
	  showfoto/main.cpp, showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc:
	  digiKam has a new baby: "showfoto", a standalone imageviewer.
	  still in very rudimentary stage, just some navigation, opening
	  files and zooming in

2004-11-22 10:45  cgilles

	* libs/: histogram/imagehistogram.cpp, histogram/imagehistogram.h,
	  widgets/histogramwidget.cpp, widgets/histogramwidget.h: Digikam
	  histogram computation : major changes !!! - Threaded
	  implementation. This way run unfreezed dialogs during
	  computation.	- Histogram widget show computation informations.
	  To Digikam users : in image properties dialog, threaded
	  implementation let'\''s you to change the current image by
	  Perv/Next buttons during histogram computation. This way is very
	  important because computation can be long on very large image

2004-11-22 10:44  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam
	  histogram computation : major changes !!! - Threaded
	  implementation. This way run unfreezed dialogs during
	  computation.	- Histogram widget show computation informations.

	  To Digikam users : in image properties dialog, threaded
	  implementation let's you to change the current image by Perv/Next
	  buttons during histogram computation. This way is very important
	  because computation can be long on very large image.

2004-11-22 10:29  pahlibar

	* digikam/Makefile.am, utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/canvas.cpp, utilities/imageeditor/canvas.h,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h:
	  * fix issue with selection being painted offset from the actual
	  selection   in case of autozoom * remove dependency of
	  imlibinterface.cpp on albumsettings.	  IMPORTANT: developers,
	  canvas.cpp/h,    imlibinterface.cpp/h, exifrestorer.cpp/h should
	  not depend on any of	  the rest of digikam. this is to make sure
	  that we can separate out a	canvas library for making a
	  standalone imageviewer

2004-11-22 08:27  pahlibar

	* utilities/imageeditor/: canvas.cpp, canvas.h, imagewindow.cpp,
	  imlibinterface.cpp, imlibinterface.h:
	  * reworked the image painting routines:   - the painting is done
	  onto pixmaps tiles which     are cached   - tile size is 512x512
	  (surprisingly the speed of	 the scaling routines in imlib2
	  tends to scale     non-linearly, i.e. its much faster to render
	  one big     tile than a bunch of small ones). that's why such
	  a big tile size. at most 20 tiles are cached at one	  time.
	  - tile updating and painting is done on demand - expose,
	  paint, cache	  - fixes glitches in the painting  * minor change:
	  the blended color has been changed to a   shade of grey with
	  slightly more opaqueness. i have found   this color to be more
	  usable than the previous darker blend BUG: 91486

2004-11-21 22:34  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam image
	  properties dialog: - Add current file name in dialog caption.  -
	  Add message when general thumbnail failed.  TODO: threaded
	  histogram calculation (no freeze GUI!)

2004-11-20 18:25  bmeyer

	* digikam/: digikamview.cpp, digikamview.h: remove hard coded file
	  name

2004-11-20 18:23  bmeyer

	* version.h, digikam/album.cpp, digikam/album.h,
	  digikam/albumdb.cpp, digikam/albumdb.h,
	  digikam/albumfilecopymove.cpp, digikam/albumfilecopymove.h,
	  digikam/albumfiletip.cpp, digikam/albumfiletip.h,
	  digikam/albumfolderitem.cpp, digikam/albumfolderitem.h,
	  digikam/albumiconview.cpp, digikam/albumitemhandler.cpp,
	  digikam/albumitemhandler.h, digikam/albumlister.cpp,
	  digikam/albumlister.h, digikam/albummanager.cpp,
	  digikam/albummanager.h, digikam/albumpropsedit.cpp,
	  digikam/albumpropsedit.h, digikam/busyprogressbar.cpp,
	  digikam/busyprogressbar.h, digikam/cameradragobject.cpp,
	  digikam/cameradragobject.h, digikam/cameralist.cpp,
	  digikam/cameralist.h, digikam/cameratype.cpp,
	  digikam/cameratype.h, digikam/digikamfirstrun.cpp,
	  digikam/digikamfirstrun.h, digikam/digikamio.cpp,
	  digikam/digikamio.h, digikam/dragobjects.cpp,
	  digikam/dragobjects.h, digikam/imagedescedit.cpp,
	  digikam/imagedescedit.h, digikam/imageproperties.cpp,
	  digikam/imageproperties.h, digikam/kipiinterface.cpp,
	  digikam/kipiinterface.h, digikam/listitem.cpp,
	  digikam/listitem.h, digikam/listview.cpp, digikam/listview.h,
	  digikam/listview_p.h, digikam/main.cpp, digikam/syncjob.cpp,
	  digikam/syncjob.h, digikam/tagcreatedlg.cpp,
	  digikam/tagcreatedlg.h, digikam/tagspopupmenu.cpp,
	  digikam/tagspopupmenu.h, digikam/thumbdb.cpp, digikam/thumbdb.h,
	  digikam/thumbnailjob.cpp, digikam/thumbnailjob.h,
	  imageplugins/histogramviewer.cpp, imageplugins/histogramviewer.h,
	  imageplugins/imageeffect_bcg.cpp, imageplugins/imageeffect_bcg.h,
	  imageplugins/imageeffect_blur.cpp,
	  imageplugins/imageeffect_blur.h,
	  imageplugins/imageeffect_bwsepia.cpp,
	  imageplugins/imageeffect_bwsepia.h,
	  imageplugins/imageeffect_colorsenhance.cpp,
	  imageplugins/imageeffect_colorsenhance.h,
	  imageplugins/imageeffect_hsl.cpp, imageplugins/imageeffect_hsl.h,
	  imageplugins/imageeffect_redeye.cpp,
	  imageplugins/imageeffect_redeye.h,
	  imageplugins/imageeffect_rgb.cpp, imageplugins/imageeffect_rgb.h,
	  imageplugins/imageeffect_sharpen.cpp,
	  imageplugins/imageeffect_sharpen.h,
	  imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h, kioslave/digikamio.cpp,
	  kioslave/digikamio.h, kioslave/digikamtags.cpp,
	  kioslave/digikamtags.h, kioslave/exiforientation_p.h,
	  libs/guibuilder/guiclient.cpp, libs/guibuilder/guiclient.h,
	  libs/guibuilder/guifactory.cpp, libs/guibuilder/guifactory.h,
	  libs/histogram/imagehistogram.cpp,
	  libs/histogram/imagehistogram.h, libs/levels/imagelevels.cpp,
	  libs/levels/imagelevels.h, libs/themeengine/texture.cpp,
	  libs/themeengine/texture.h, libs/themeengine/theme.cpp,
	  libs/themeengine/theme.h, libs/themeengine/themeengine.cpp,
	  libs/themeengine/themeengine.h,
	  libs/widgets/colorgradientwidget.cpp,
	  libs/widgets/colorgradientwidget.h,
	  libs/widgets/histogramwidget.cpp, libs/widgets/histogramwidget.h,
	  libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h,
	  libs/widgets/imagepreviewwidget.cpp,
	  libs/widgets/imagepreviewwidget.h,
	  libs/widgets/imageregionwidget.cpp,
	  libs/widgets/imageregionwidget.h,
	  libs/widgets/imagetoolswidget.cpp,
	  libs/widgets/imagetoolswidget.h,
	  utilities/cameragui/animwidget.cpp,
	  utilities/cameragui/animwidget.h,
	  utilities/cameragui/cameracontroller.cpp,
	  utilities/cameragui/cameracontroller.h,
	  utilities/cameragui/cameraiconitem.cpp,
	  utilities/cameragui/cameraiconitem.h,
	  utilities/cameragui/cameraiconview.cpp,
	  utilities/cameragui/cameraiconview.h,
	  utilities/cameragui/camerainfodialog.cpp,
	  utilities/cameragui/camerainfodialog.h,
	  utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
	  utilities/cameragui/dirselectdialog.cpp,
	  utilities/cameragui/dirselectdialog.h,
	  utilities/cameragui/exifrotate.cpp,
	  utilities/cameragui/exifrotate.h,
	  utilities/cameragui/gpcamera.cpp, utilities/cameragui/gpcamera.h,
	  utilities/cameragui/gpiteminfo.cpp,
	  utilities/cameragui/gpiteminfo.h,
	  utilities/cameragui/gpiteminfodlg.cpp,
	  utilities/cameragui/gpiteminfodlg.h,
	  utilities/cameragui/jinclude.h, utilities/cameragui/jpegint.h,
	  utilities/cameragui/renamecustomizer.cpp,
	  utilities/cameragui/renamecustomizer.h,
	  utilities/cameragui/transupp.h, utilities/imageeditor/canvas.cpp,
	  utilities/imageeditor/canvas.h,
	  utilities/imageeditor/exifrestorer.cpp,
	  utilities/imageeditor/exifrestorer.h,
	  utilities/imageeditor/imagecommentedit.cpp,
	  utilities/imageeditor/imagecommentedit.h,
	  utilities/imageeditor/imageguiclient.cpp,
	  utilities/imageeditor/imageguiclient.h,
	  utilities/imageeditor/imageiface.cpp,
	  utilities/imageeditor/imageiface.h,
	  utilities/imageeditor/imageplugin.cpp,
	  utilities/imageeditor/imageplugin.h,
	  utilities/imageeditor/imagepluginloader.cpp,
	  utilities/imageeditor/imagepluginloader.h,
	  utilities/imageeditor/imageprint.cpp,
	  utilities/imageeditor/imageprint.h,
	  utilities/imageeditor/imageresizedlg.cpp,
	  utilities/imageeditor/imageresizedlg.h,
	  utilities/imageeditor/imagerotatedlg.h,
	  utilities/imageeditor/imagewidget.cpp,
	  utilities/imageeditor/imagewidget.h,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h,
	  utilities/imageeditor/jpegsection.h,
	  utilities/setup/cameraselection.cpp,
	  utilities/setup/cameraselection.h, utilities/setup/gpiface.cpp,
	  utilities/setup/gpiface.h, utilities/setup/setup.cpp,
	  utilities/setup/setup.h, utilities/setup/setupeditor.cpp,
	  utilities/setup/setupeditor.h, utilities/setup/setupgeneral.cpp,
	  utilities/setup/setupgeneral.h, utilities/setup/setupmime.cpp,
	  utilities/setup/setupmime.h, utilities/setup/setupmisc.cpp,
	  utilities/setup/setupmisc.h,
	  utilities/splashscreen/splashscreen.cpp,
	  utilities/splashscreen/splashscreen.h: Removed hard coded file
	  name from within the file Got Renchi Raju's approval first

2004-11-20 16:26  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam image
	  properties dialog : added pop-up menu under Exif thumbnail for to
	  correct Exif orientation tag.  
          
2004-11-19 22:16  pahlibar

	* AUTHORS, digikam/main.cpp:
	  give credit to Tom for all his help with bko setup, maintenance
	  and feedback

2004-11-19 20:34  pahlibar

	* utilities/setup/setupeditor.cpp:
	  Correct mistakes in imageeditor setup whatsthis: * JPEG files
	  saved with 100% quality are still not lossless * TIFF files are
	  saved with Adobe Deflate compression (and not LZW).	(Gilles why
	  do we need an option for this?)  
          
2004-11-19 16:08  cgilles

	* utilities/: imageeditor/canvas.cpp, imageeditor/canvas.h,
	  imageeditor/imagewindow.cpp, imageeditor/imagewindow.h,
	  imageeditor/imlibinterface.cpp, imageeditor/imlibinterface.h,
	  setup/setupeditor.cpp, setup/setupeditor.h: Digikam Image Editor
	  : - Added PNG compression value.  - Added TIFF compress option.

2004-11-19 14:52  cgilles

	* digikam/imageproperties.cpp: KDE 3.1 compatibility patch

2004-11-19 14:31  cgilles

	* digikam/: imagedescedit.cpp, imageproperties.cpp: Missing to
	  restore dialog size

2004-11-19 13:51  cgilles

	* digikam/imageproperties.cpp, digikam/imageproperties.h,
	  libs/widgets/histogramwidget.cpp: Digikam image properties dialog
	  : save current tab selected who will be restored at the next
	  session.  
          
2004-11-19 11:17  cgilles

	* libs/widgets/histogramwidget.cpp: Fix histogram viewer rendering
	  with new file properties dialog (reported by Achim Bohnet)

2004-11-19 09:06  cgilles

	* digikam/imageproperties.cpp, digikam/imageproperties.h,
	  libs/widgets/histogramwidget.cpp, libs/widgets/histogramwidget.h:
	  Digikam image properties dialog : - Polish code stage 2.  - new
	  histogram contructor with no image data (nedded to use updateData
	  after instance creation)

2004-11-19 06:27  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam image
	  properties dialog : - polish source code (stage 1).  - Added
	  image dimenssions in General tab.  - Fix some problems reported
	  by Achim Bohnet.

2004-11-19 05:28  cgilles

	* utilities/splashscreen/digikam-splash.png: A _temporaly_
	  splashscreen sample for 0.7.1 from my personal photo collection.
	  This splashscreen will be used during 0.7.1 devel stage.  Final
	  splashscreen must be choosen by Digikam users via a future voting
	  page web who will created by Yves Chauffour.	Don't forget to
	  send me your contribution.
          
2004-11-18 18:30  cgilles

	* digikam/imageproperties.cpp: Digikam image properties dialog :
	  General tabs complete.  TODO:    - polish source code.     -
	  added stand alone mode for image editor.

2004-11-18 18:08  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam image
	  properties : updated General tab (not finished) TODO: updated
	  General tab informations when Prev/next item selected 

2004-11-18 16:16  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Digikam Image
	  properties dialog : updated General tab (not finished!)

2004-11-18 11:52  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Update Image
	  Properties dialog : Exif tab polishing !!! TODO : file properties
	  tab.

2004-11-18 09:02  cgilles

	* digikam/imageproperties.cpp, digikam/imageproperties.h,
	  libs/histogram/imagehistogram.cpp,
	  libs/widgets/histogramwidget.cpp, libs/widgets/histogramwidget.h:
	  - Histogram lib and histogram widget : capability to update the
	  image data !!! - Image properties dialog :   * New design without
	  std KDE file properties tabs.    * Next  and Prev image selection
	     * Histogram and Exif tab : capabilty to update the view when a
	  new image is selected with Prev and Next buttons.    * Histogram
	  tab : using kio digikam thumbnail (this way don't bloc GUI)

	  ==> TODO : - Added new file properties tab.  - Polish Exif tab.
	  - Added standalone image mode for Image Editor.  - Source code
	  polish.

2004-11-18 03:51  pahlibar

	* utilities/cameragui/: cameraui.cpp, cameraui.h:
	  BUG: 92665 BUG: 92312 * Auto-album patch applied (with
	  modifications) to automatically create sub-albums in destination
	  album based on exif date of the camera.   - while downloading
	  each file, the corresponding directory is "stat ed"	  to see if
	  it exists. if not, get albummanager to create the album     and
	  write out to database, the date of the album	 - if any of these
	  steps fails, the whole process bails out  * merged the two
	  download (selected/all) into one functio * thanks to lan at ac-sw
	  com for original patches

2004-11-18 02:08  pahlibar

	* digikam/: albumiconitem.cpp, thumbnailjob.cpp:
	  turn back on gdbm thumbnail hacking. will have to do some more
	  tests to see how well does gdbm search scale with number of
	  images

2004-11-18 01:42  pahlibar

	* digikam/albumiconitem.cpp, libs/themeengine/themeengine.cpp:
	  turned off gdbm thumbnail loading temporarily provide a better
	  looking default theme

2004-11-17 16:31  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Histogramviewer
	  use now Digikam KIO thumbnailjob for rendering the thumb on the
	  histogram tab top. Very fast!

2004-11-17 16:06  cgilles

	* digikam/: albumiconview.cpp, exifpropsplugin.cpp,
	  exifpropsplugin.h, histogrampropsplugin.cpp,
	  histogrampropsplugin.h, imageproperties.cpp, imageproperties.h:
	  Remove old Exif and Histogram properties plugin.  Updated new
	  image and meta-data properties dialog.

2004-11-17 15:03  cgilles

	* digikam/: imageproperties.cpp, imageproperties.h: Update image
	  properties dialog. not finished !

2004-11-17 13:05  cgilles

	* digikam/: Makefile.am, imageproperties.cpp, imageproperties.h:
	  Added new files for new image properties dialog. Not finished !

2004-11-17 12:56  cgilles

	* digikam/imagedescedit.h: Fixed missing header

2004-11-17 10:43  pahlibar

	* digikam/albumiconview.cpp:
	  applied patch from Alfons Hoogervorst to send all selected item
	  urls to KRun

2004-11-17 10:39  cgilles

	* libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h,
	  libs/widgets/imagetoolswidget.cpp,
	  libs/widgets/imagetoolswidget.h,
	  utilities/imageeditor/imageiface.cpp,
	  utilities/imageeditor/imageiface.h: Fix the paint event in
	  imagetools and panimage widget.  Fix doublebuffer in ImageWidget.

2004-11-17 07:17  pahlibar

	* kioslave/digikamthumbnail.cpp:
	  regression: use ktempfile to avoid race condition while saving
	  the thumbnail file and also to set file permissions to 0600
	  (adhering to fd.o specs)

2004-11-17 07:09  pahlibar

	* kioslave/Makefile.am:
	  fixed borked Makefile.am

2004-11-17 07:05  pahlibar

	* digikam/albumfolderview.cpp, digikam/albumfolderview.h,
	  digikam/albumiconview.cpp, digikam/exiforientation_p.h,
	  digikam/imagedescedit.cpp, digikam/imagedescedit.h,
	  digikam/syncjob.cpp, digikam/thumbnailjob.cpp,
	  digikam/thumbnailjob.h, kioslave/Makefile.am,
	  kioslave/digikamthumbnail.cpp, kioslave/digikamthumbnail.h,
	  kioslave/exiforientation_p.h:

	  * all thumbnail loading/generating/exif-rotating/caching tasks
	  have been   offloaded to the digikamthumbnail kioslave. the main
	  gui just does the   task of converting the image supplied by the
	  kioslave to qpixmap and   painting it. This significantly boosts
	  gui responsiveness * instead of loading the cached thumbnail
	  using qimage, a native png loader   is loader with significant
	  speed improvements in thumbnail loading   (approx 5x) * the
	  Digikam namespace has been dropped from ThumbnailJob class, as it
	  was	a remnant of the 0.6.x series

	  * please test for any regressions * the gdbm preload thumbnail
	  hack has been temporarily turned off. the new   thumbnail loading
	  speed is much improved and user tests are requested to   see if
	  still need to retain this hack * TODO: design a proper caching
	  mechanism for pixmaps, so that only a certain   number of them
	  are retained in memory

	  BUG: 92017

2004-11-17 06:38  cgilles

	* utilities/imageeditor/imagerotatedlg.cpp: Optimize deg to rad
	  calculation

2004-11-16 18:09  pahlibar

	* utilities/imageeditor/imagerotatedlg.cpp:
	  fix memory leaks in the free rotation tool

2004-11-16 13:43  cgilles

	* libs/widgets/Makefile.am, libs/widgets/imagetoolswidget.cpp,
	  libs/widgets/imagetoolswidget.h,
	  utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/imagerotatedlg.cpp,
	  utilities/imageeditor/imagerotatedlg.h: Digikam Image Editor free
	  rotation tool : added a tools to guide the user for good image
	  rotation adjustment.

	  To Digikam users : move the mouse cursor on the free rotation
	  preview and horizontal and vertical dashed lines will be draw.
	  Place this lines to an important place in the image (the sea or a
	  building for example) and press the left mouse button. The lines
	  position will be frozen like a reference. Now adjust the free
	  angle to a correct position accordinly with the doashed lines.

2004-11-16 05:30  pahlibar

	* digikam/albumlister.cpp:
	  remove stale code

2004-11-16 04:15  pahlibar

	* utilities/cameragui/README:
	  this README has been superseded by libjpeg62.README imported in
	  by achim

2004-11-16 00:19  ach

	* digikam/album.cpp, digikam/album.h, digikam/albumdb.cpp,
	  digikam/albumdb.h, digikam/albumfilecopymove.cpp,
	  digikam/albumfilecopymove.h, digikam/albumfiletip.cpp,
	  digikam/albumfiletip.h, digikam/albumfolderitem.cpp,
	  digikam/albumfolderitem.h, digikam/albumitemhandler.cpp,
	  digikam/albumitemhandler.h, digikam/albumlister.cpp,
	  digikam/albumlister.h, digikam/albummanager.cpp,
	  digikam/albummanager.h, digikam/albumpropsedit.cpp,
	  digikam/albumpropsedit.h, digikam/busyprogressbar.cpp,
	  digikam/busyprogressbar.h, digikam/cameradragobject.cpp,
	  digikam/cameradragobject.h, digikam/cameralist.cpp,
	  digikam/cameralist.h, digikam/cameratype.cpp,
	  digikam/cameratype.h, digikam/digikamfirstrun.cpp,
	  digikam/digikamfirstrun.h, digikam/digikamio.cpp,
	  digikam/digikamio.h, digikam/dragobjects.cpp,
	  digikam/dragobjects.h, digikam/exiforientation_p.h,
	  digikam/imagedescedit.cpp, digikam/listitem.cpp,
	  digikam/listitem.h, digikam/listview.cpp, digikam/listview.h,
	  digikam/listview_p.h, digikam/syncjob.cpp, digikam/syncjob.h,
	  digikam/tagcreatedlg.cpp, digikam/tagcreatedlg.h,
	  digikam/tagspopupmenu.cpp, digikam/tagspopupmenu.h,
	  digikam/thumbdb.cpp, digikam/thumbdb.h, digikam/thumbnailjob.cpp,
	  digikam/thumbnailjob.h, imageplugins/imageeffect_bcg.cpp,
	  imageplugins/imageeffect_bcg.h,
	  imageplugins/imageeffect_blur.cpp,
	  imageplugins/imageeffect_blur.h,
	  imageplugins/imageeffect_bwsepia.cpp,
	  imageplugins/imageeffect_bwsepia.h,
	  imageplugins/imageeffect_hsl.cpp, imageplugins/imageeffect_hsl.h,
	  imageplugins/imageeffect_redeye.cpp,
	  imageplugins/imageeffect_redeye.h,
	  imageplugins/imageeffect_rgb.cpp, imageplugins/imageeffect_rgb.h,
	  imageplugins/imageeffect_sharpen.cpp,
	  imageplugins/imageeffect_sharpen.h,
	  imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h, kioslave/digikamio.cpp,
	  kioslave/digikamio.h, kioslave/digikamtags.cpp,
	  kioslave/digikamtags.h, libs/guibuilder/guiclient.cpp,
	  libs/guibuilder/guiclient.h, libs/guibuilder/guifactory.cpp,
	  libs/guibuilder/guifactory.h, libs/themeengine/theme.cpp,
	  libs/themeengine/theme.h, libs/themeengine/themeengine.cpp,
	  libs/themeengine/themeengine.h,
	  libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h,
	  libs/widgets/imagepreviewwidget.cpp,
	  libs/widgets/imagepreviewwidget.h,
	  libs/widgets/imageregionwidget.cpp,
	  libs/widgets/imageregionwidget.h,
	  utilities/cameragui/animwidget.cpp,
	  utilities/cameragui/animwidget.h,
	  utilities/cameragui/cameracontroller.cpp,
	  utilities/cameragui/cameracontroller.h,
	  utilities/cameragui/cameraiconitem.cpp,
	  utilities/cameragui/cameraiconitem.h,
	  utilities/cameragui/cameraiconview.cpp,
	  utilities/cameragui/cameraiconview.h,
	  utilities/cameragui/camerainfodialog.cpp,
	  utilities/cameragui/camerainfodialog.h,
	  utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
	  utilities/cameragui/dirselectdialog.cpp,
	  utilities/cameragui/dirselectdialog.h,
	  utilities/cameragui/exifrotate.cpp,
	  utilities/cameragui/exifrotate.h,
	  utilities/cameragui/gpcamera.cpp, utilities/cameragui/gpcamera.h,
	  utilities/cameragui/gpiteminfo.cpp,
	  utilities/cameragui/gpiteminfo.h,
	  utilities/cameragui/gpiteminfodlg.cpp,
	  utilities/cameragui/gpiteminfodlg.h,
	  utilities/cameragui/renamecustomizer.cpp,
	  utilities/cameragui/renamecustomizer.h,
	  utilities/imageeditor/canvas.cpp, utilities/imageeditor/canvas.h,
	  utilities/imageeditor/exifrestorer.cpp,
	  utilities/imageeditor/exifrestorer.h,
	  utilities/imageeditor/imagecommentedit.cpp,
	  utilities/imageeditor/imagecommentedit.h,
	  utilities/imageeditor/imageguiclient.cpp,
	  utilities/imageeditor/imageguiclient.h,
	  utilities/imageeditor/imageiface.cpp,
	  utilities/imageeditor/imageiface.h,
	  utilities/imageeditor/imageplugin.cpp,
	  utilities/imageeditor/imageplugin.h,
	  utilities/imageeditor/imagepluginloader.cpp,
	  utilities/imageeditor/imagepluginloader.h,
	  utilities/imageeditor/imageprint.cpp,
	  utilities/imageeditor/imageprint.h,
	  utilities/imageeditor/imageresizedlg.cpp,
	  utilities/imageeditor/imageresizedlg.h,
	  utilities/imageeditor/imagerotatedlg.cpp,
	  utilities/imageeditor/imagerotatedlg.h,
	  utilities/imageeditor/imagewidget.cpp,
	  utilities/imageeditor/imagewidget.h,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h,
	  utilities/imageeditor/jpegsection.h,
	  utilities/setup/cameraselection.cpp,
	  utilities/setup/cameraselection.h, utilities/setup/gpiface.cpp,
	  utilities/setup/gpiface.h, utilities/setup/setupgeneral.cpp,
	  utilities/setup/setupgeneral.h, utilities/setup/setupmisc.cpp,
	  utilities/setup/setupmisc.h,
	  utilities/splashscreen/splashscreen.cpp,
	  utilities/splashscreen/splashscreen.h: CVS_SILENT: Fix typo in
	  GPL header:	 s/published bythe Free/published by the Free/

2004-11-16 00:13  ach

	* README, utilities/cameragui/libjpeg62.README: Add libjpeg62
	  README and a note to README as required by libjpeg distribution

2004-11-15 22:46  cgilles

	* utilities/imageeditor/imagerotatedlg.cpp: Fixed re-scaling image
	  for free rotation preview.

2004-11-15 16:14  cgilles

	* utilities/imageeditor/: imagerotatedlg.cpp, imagerotatedlg.h:
	  Digikam ImageEditor freeRotation tool : Added free rotation
	  preview. 
          
2004-11-15 11:27  cgilles

	* digikam/exifpropsplugin.cpp: Digikam File properties and
	  Meta-Data dialog : - New Exif information tab in tree view mode !
	  - This implementation provide just _ONE_ tab for all exif
	  informations.

	  To Digikam users : you must update libkexif source code from
	  kdeextargear-libs-1 CVS module else the compilation will be
	  broken.

2004-11-14 22:03  cgilles

	* digikam/albumiconview.cpp, digikam/digikamapp.cpp,
	  imageplugins/imageplugin_core.cpp: Fix menu entries.	Added
	  What's this for defaut main tool bar.  Added What's this for
	  Normalize, Equalize , and Autolevels.

2004-11-14 17:50  cgilles

	* imageplugins/histogramviewer.cpp: Added wait cursor

2004-11-14 16:05  cgilles

	* libs/histogram/imagehistogram.cpp: Improvement of histogram
	  calculation. No need 2 loops, just one can be used.

2004-11-14 15:57  cgilles

	* digikam/albumiconview.cpp: Fixed popup menu entry i18n. Added
	  wait cursor during image properties dialog construction
	  (histogram viewer can be long).

2004-11-14 15:18  cgilles

	* digikam/digikamapp.cpp: Fix menu entrie i18n

2004-11-13 16:58  cgilles

	* digikam/: exifpropsplugin.cpp, exifpropsplugin.h: Oups (:=))
	  Forget to add these files in CVS...

2004-11-13 16:13  cgilles

	* digikam/: Makefile.am, albumiconview.cpp, albumiconview.h,
	  digikamapp.cpp, digikamapp.h, digikamui.rc, digikamview.cpp,
	  digikamview.h: Digikam Exif Viewer : - Merged all Exif Viewer
	  tabs in image Properties dialog.  - Removed Image/Exif
	  information menu entry.

	  To Digikam users : the Exif information are now displayed in
	  Image properties dialog. This is requested by a wish in B.K.O.
	  This way simplify the 'image' menu entries and the dialog
	  numbers. I will updated the handbook accordily.

	  Nota : I have seen a problem with the internationalisation of
	  libexif (not libkexif) messages about the exif item descriptions.
	  All accentuate carractors are bad. In English no problem.
	  Somebody can confirm this problem with another language (spanish,
	  german, italian, for ex.)

2004-11-12 21:06  pahlibar

	* digikam/albumfolderview.cpp:
	  trim long lines. beyond 80 columns, source wraps up in editors,
	  making it difficult to read

2004-11-12 18:23  cgilles

	* libs/widgets/histogramwidget.cpp: Remove comments

2004-11-12 16:52  cgilles

	* digikam/histogrampropsplugin.cpp,
	  imageplugins/histogramviewer.cpp,
	  libs/widgets/histogramwidget.cpp: Histogram Viewer : since we can
	  choose the main color in 'All color mode', we can displayed the
	  stat in this color with the current histogram selection.

2004-11-12 14:51  cgilles

	* digikam/albummanager.cpp: Fixed missing errno header

2004-11-12 14:24  cgilles

	* digikam/digikamapp.cpp: Fixed typo

2004-11-12 04:04  pahlibar

	* digikam/: imagedescedit.cpp, imagedescedit.h:
	  Simplest wishlist implementation ever done :).  Use ktextedit
	  instead of qtextedit for comments editor. enable spellchecker
	  BUG: 92310

2004-11-12 03:07  pahlibar

	* digikam/: albumdb.cpp, albumdb.h, albumfolderview.cpp,
	  albummanager.cpp, albummanager.h, albumpropsedit.cpp,
	  albumpropsedit.h:
	  * creating a new album will popup the album properties editor
	  directly, instead of asking for the name first and then popping
	  up the editor.  * this also puts into place code for easy
	  implementation of auto-folder-creation during camera downloads

2004-11-11 19:32  pahlibar

	* digikam/thumbnailjob.cpp:
	  remove unnecessary reload of thumbnail

2004-11-10 15:43  cgilles

	* imageplugins/histogramviewer.cpp,
	  libs/widgets/histogramwidget.cpp: Digikam Histogram Viewer :
	  Fixed colors order in 'All Colors' mode.

2004-11-10 14:35  cgilles

	* imageplugins/histogramviewer.cpp, imageplugins/histogramviewer.h,
	  imageplugins/imageplugin_core.cpp,
	  libs/widgets/histogramwidget.cpp, libs/widgets/histogramwidget.h:
	  Digikam Histogram Viewer:

	  New option for rendering histogram with the full image or current
	  image selection [like in photoshop CS (tm) !!!].

	  Note for Digikam users : this option is only available with the
	  Image Editor Histogram plugin, not with the image properties
	  extension because none image selection can be done with this
	  way...

2004-11-10 11:21  cgilles

	* digikam/histogrampropsplugin.cpp, digikam/histogrampropsplugin.h,
	  imageplugins/histogramviewer.cpp, imageplugins/histogramviewer.h,
	  libs/widgets/histogramwidget.cpp, libs/widgets/histogramwidget.h:
	  Digikam Histogram Viewer : add new option for choise the
	  foreground histogram color (Red or Green or Blue) used in 'All
	  Colors mode'. 
          
2004-11-09 20:51  cgilles

	* utilities/imageeditor/imageguiclient.cpp: Add 'What's This' for
	  crop image option

2004-11-09 20:10  cgilles

	* version.h, digikam/digikamapp.cpp: 'Updated version to
	  '0.7.1-cvs' Fixed i18n

2004-11-08 20:37  pahlibar

	* ChangeLog:
	  humpph... forgot to commit the changelog before the release

2004-11-07 20:56  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:
	  applied patch for g++ 3.4.2 compilation error

2004-11-07 00:34  bmeyer

	* digikam/albumfiletip.cpp, digikam/albumfolderitem.h,
	  digikam/albumfolderview.cpp, digikam/albumfolderview.h,
	  digikam/albumiconview.cpp, digikam/albumiconview.h,
	  digikam/digikamapp.h, digikam/digikamview.cpp,
	  digikam/dragobjects.cpp, digikam/thumbnailjob.h,
	  utilities/cameragui/cameracontroller.cpp,
	  utilities/imageeditor/canvas.cpp,
	  utilities/imageeditor/imagepluginloader.cpp,
	  utilities/imageeditor/imageprint.cpp,
	  utilities/setup/setupeditor.cpp,
	  utilities/setup/setupplugins.cpp: header clean and one
	  QString::null conversion

2004-11-06 04:34  bmeyer

	* configure.in.bot: Pointer about pkgconfig sense it is different
	  then the rest of kde

2004-11-04 22:37  bmeyer

	* digikam/digikam.desktop: .desktop file cleanup Add missing ; to
	  lists remove depreciated items Terminal= 0 -> false

v0.7			11/07/04
----------------------------------------------------------------------------

2004-11-04 14:44  jahrens

	* digikam/albumfolderview.cpp: Album icon update function deleted..
	  it shouldn't be available in 0.7.

2004-11-03 19:49  pahlibar

	* utilities/cameragui/: cameraui.cpp, dirselectdialog.cpp,
	  dirselectdialog.h:
	  when user starts to download items from a camera, the new album
	  dialog has name pre-filled with exif date for the first image in
	  the camera.  BUG: 92312

2004-11-03 14:14  aseigo

	* digikam/albumpropsedit.cpp: fix tab order and initial widget
	  focus

2004-11-03 06:37  cgilles

	* imageplugins/imageplugin_core.cpp,
	  utilities/imageeditor/imageguiclient.cpp,
	  utilities/imageeditor/imageguiclient.h: Digikam ImageEditor :
	  Added missing "whatsThis" Help menu option (reported by some
	  users).  Fixed RedEyes Correction menu entry QToolTip to
	  QWhatsThis.
	

v0.7-rc1		11/01/04
----------------------------------------------------------------------------

2004-10-31 23:59  pahlibar

	* configure.in.in:
	  inlude libjpeg dependency, as some libtiff builds depend on it

2004-10-31 23:43  pahlibar

	* digikam/albumfiletip.cpp:
	  reposition tooltip with global mapping with respect to viewport.
	  fixes tooltips being moved out of screen in case of very large
	  content rect BUG: 92350

2004-10-29 13:18  aseigo

	* digikam/albumfolderview.cpp: sort out the context menu so it's
	  more KDEish

2004-10-29 13:06  aseigo

	* digikam/digikamapp.cpp: don't use Ctrl+F# as a keyboard shortcut.
	  those should be left for desktop/global keybindings as a rule

2004-10-29 13:05  aseigo

	* digikam/: albumpropsedit.cpp, albumpropsedit.h, tagcreatedlg.cpp:
	  make these dialogs look a bit nicer

2004-10-29 13:03  aseigo

	* digikam/syncjob.cpp: make this work with kio_trash if it exists

2004-10-29 13:02  aseigo

	* utilities/setup/: setup.cpp, setupcamera.cpp,
	  setupcollections.cpp, setupeditor.cpp, setupexif.cpp,
	  setupgeneral.cpp, setupgeneral.h, setupmime.cpp, setupmisc.cpp,
	  setupplugins.cpp: margins, accels, give it a hope of working on
	  800x600

2004-10-29 11:38  cgilles

	* utilities/imageeditor/imageguiclient.cpp: Fixed shortcuts

2004-10-28 07:02  cgilles

	* utilities/imageeditor/: imageguiclient.cpp, imageguiclient.h:
	  Digikam Image Editor : added bug report entry in help menu.
	  CCMAIL: digikam-devel@lists.sourceforge.net

2004-10-28 06:40  cgilles

	* utilities/cameragui/: cameraui.cpp, cameraui.h,
	  dirselectdialog.cpp: Digikam handbook : added link to camera
	  interface.  CCMAIL: digikam-devel@lists.sourceforge.net

2004-10-28 04:17  cgilles

	* Digikam.kdevelop, digikam/digikamfirstrun.cpp,
	  imageplugins/histogramviewer.cpp,
	  imageplugins/imageeffect_bcg.cpp,
	  imageplugins/imageeffect_blur.cpp,
	  imageplugins/imageeffect_hsl.cpp,
	  imageplugins/imageeffect_redeye.cpp,
	  imageplugins/imageeffect_rgb.cpp,
	  imageplugins/imageeffect_sharpen.cpp,
	  utilities/imageeditor/imagecommentedit.cpp,
	  utilities/imageeditor/imageresizedlg.cpp,
	  utilities/imageeditor/imagerotatedlg.cpp,
	  utilities/setup/setup.cpp: Digikam handbook major update : -
	  Added anchors ! (used for link the dialog "Help" buttons to the
	  hanbook sections) - Fixed image button docbook implementation
	  (not like screenshots) CCMAIL:
	  digikam-devel@lists.sourceforge.net

2004-10-27 13:30  jahrens

	* digikam/albumfolderview.cpp: it must be allowed to drag external
	  folders on the physical root album, to copy/move the folder to
	  the root

2004-10-27 04:05  cgilles

	* Digikam.kdevelop, version.h, digikam/digikam.desktop,
	  digikam/digikamfirstrun.cpp, digikam/main.cpp,
	  utilities/setup/setupgeneral.cpp: Fixed last commit by aaron.  -
	  No need numerical digiKam version.  - Refixed Digikam to digiKam.
	  - Fixed release version test for firstrun.  - Added writable
	  test to album database path and display warning message CCMAIL:
	  digikam-devel@lists.sourceforge.net

2004-10-27 01:42  aseigo

	* digikam/digikamui.rc: get rid of accel conflicts on the menus,
	  simplify the toolbar, sort out the Settings menu a bit

2004-10-27 00:55  aseigo

	* digikam/digikamapp.cpp: insert new cameras at the top of the menu

2004-10-27 00:54  aseigo

	* digikam/Makefile.am: add firstrunUI.ui

2004-10-27 00:53  aseigo

	* digikam/: digikamfirstrun.cpp, digikamfirstrun.h, digikamui.rc,
	  firstrunUI.ui: a more beautiful and standards compliant first run
	  dialog

2004-10-27 00:52  aseigo

	* digikam/main.cpp: fix the app name in the KAboutData, clean up
	  the firstrun check slightly

2004-10-24 15:54  pahlibar

	* digikam/albumfolderview.cpp:
	  use KURL.path() and not KURL.url() if you want to pass in the
	  path as a qstring.

2004-10-24 14:53  pahlibar

	* digikam/: albumiconview.cpp, albumiconview.h, imagedescedit.cpp,
	  thumbnailjob.cpp, thumbnailjob.h:

	  * minor optimization: moved the exif rotation from albumiconview
	  to   thumbnailjob and rotate the thumbnail qimage before
	  converting   to qpixmap. rotating the qimage is almost 5 times
	  faster than	rotating a qpixmap.  * side effect of this is that
	  everything using thumbnailjob gets   exif oriented thumbnails for
	  free, including the comments/tag   editor CCBUG: 92017

2004-10-24 13:51  pahlibar

	* digikam/: albumiconview.cpp, albumiconview.h,
	  exiforientation_p.h:
	  * implemented a native exif orientation reading function based on
	  the exif   orientation writing one in libkexif. this will be
	  moved to libkexif   in v0.2 * performance comparisons for reading
	  exif orientation of 609 jpeg files:	total time (for libexif
	  based implementation) : 163304 microseconds	total time (for
	  native implementation)	:   9925 microseconds

2004-10-24 11:46  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:
	  the current image was not being pushed in as the imlib image to
	  work on in quite a few functions. fixed

2004-10-23 20:40  pahlibar

	* configure.in.bot, configure.in.in,
	  utilities/imageeditor/Makefile.am:
	  libtiff configure test added 

2004-10-22 02:50  cgilles

	* digikam/digikamfirstrun.cpp, digikam/digikamfirstrun.h,
	  utilities/setup/setup.cpp, utilities/setup/setupgeneral.cpp,
	  utilities/setup/setupgeneral.h: Digikam BUG 91828 : Added more
	  tests if target album database path haven't write access in
	  Digikam first run and general setup.	General setup now check the
	  path QEdit widget like in Digikam first run and toogle the OK
	  dialog button in according.  CCMAIL:
	  digikam-devel@lists.sourceforge.net,
	  mail-kdebugs@codingdomain.com

2004-10-21 21:25  pahlibar

	* utilities/imageeditor/canvas.cpp:
	  draw tiny selection handle rects at the corners of the rubber

2004-10-21 20:03  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  * fixed mistake in last commit * ask for confirmation before
	  overwriting existing file CCMAIL:
	  digikam-devel@lists.sourceforge.net

2004-10-21 19:15  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  * setUsePrinterResolution is available only in kde >= 3.2 * in
	  slotSaveAs check if srcURL==targetURL and use slotSave then
	  CCMAIL: digikam-devel@lists.sourceforge.net

2004-10-21 14:02  pahlibar

	* digikam/albumdb.cpp:
	  fixed crash when the album library path is unwritable. Note to
	  users, at least make the album library path writable, otherwise
	  none of the digikam tags or comments features will work. the
	  actual photo directories don't have to be writable BUG: 91828

2004-10-21 13:53  pahlibar

	* digikam/albumsettings.cpp:
	  change startup album sort mode to By folder, as it seems to
	  confusing new users.	BUG: 91829-done@bugs.kde.org

2004-10-20 16:22  jahrens

	* digikam/albumiconview.cpp:
	  Chag stored images in his root album which he tried to move.
	  Since the root album is only an organisational one, now
	  preventing it from displaying images in the iconview.

	  CCMAIL: 91740-done@bugs.kde.org

2004-10-20 12:31  pahlibar

	* imageplugins/Makefile.am, kioslave/Makefile.am,
	  utilities/cameragui/cameracontroller.cpp:
	  * qt <= 3.1.2 compatiblity fix. QDeepCopy is not a friend of
	  QStringList.	  hack it by using QValueList<QString>	*
	  imlib2_cflags was missing from some makefiles. added CCMAIL:
	  digikam-devel@lists.sourceforge.net

2004-10-20 11:51  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  force kprinter to use printer resolution

2004-10-20 10:12  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:
	  fix savetiff implementation (backported from imlib2 1.1) CCMAIL:
	  digikam-devel@lists.sourceforge.net

2004-10-20 06:31  cgilles

	* digikam/histogrampropsplugin.cpp,
	  imageplugins/histogramviewer.cpp,
	  libs/widgets/histogramwidget.cpp: HistogramViewer and
	  HistogramPropPlugin: - Fixed alignment of calculated values
	  (reported by Achim Bohnet in the past (:=))) - Improved all
	  'Colors' at the same time mode rendering : added top value gray
	  drawing for each color channels.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2004-10-19 16:55  pahlibar

	* utilities/cameragui/: cameraiconitem.cpp, cameraiconitem.h,
	  cameraiconview.cpp:
	  minor code update in hope of fixing wierd repaint issues reported
	  by a user

2004-10-18 21:39  pahlibar

	* imageplugins/: imageeffect_redeye.cpp, imageplugin_core.cpp:
	  typo fix and remove unnecessary qlabel in the redeye correction
	  dialog

2004-10-18 16:04  pahlibar

	* digikam/thumbdb.cpp:
	  fixed multiple kdebug.h includes

2004-10-18 15:56  pahlibar

	* digikam/thumbdb.cpp:
	  override default gdbm fatal function to prevent app from exiting
	  if user runs out of diskspace CCMAIL: 91424-done@bugs.kde.org

2004-10-18 13:20  pahlibar

	* digikam/: albumpropsedit.cpp, albumpropsedit.h:

	  use kdatepicker instead of qdateedit for locale aware date
	  selection

	  CCMAIL: 91597-done@bugs.kde.org

2004-10-18 06:10  cgilles

	* imageplugins/: imageeffect_redeye.cpp, imageplugin_core.cpp:
	  Digikam RedEyes correction filter: added tip in dialog and for
	  the menu entry (WISH #91845).  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2004-10-17 23:49  pahlibar

	* utilities/imageeditor/: imagewindow.cpp, imagewindow.h:
	  plug and unplug the imageguiclient actions when the imageviewer
	  goes in and out of fullscreen. this is needed, because the
	  toolbar gets hidden in fullscreen mode (when user chooses so) and
	  none of the keyboard shortcut events reach the toolbar actions

	  CCMAIL: 91552-done@bugs.kde.org

2004-10-17 22:47  pahlibar

	* digikam/listview.cpp:
	  expanding/collapsing a tree item should not select the item
	  CCMAIL: 91537-done@bugs.kde.org

2004-10-17 22:39  pahlibar

	* digikam/albumfolderview.cpp, digikam/albumiconview.cpp,
	  digikam/albumsettings.cpp, digikam/albumsettings.h,
	  digikam/digikamapp.cpp, digikam/digikamapp.h,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h,
	  utilities/setup/setupmisc.cpp, utilities/setup/setupmisc.h:
	  * update menu/toolbar text and icon everywhere dynamically
	  according to user setting for   "trash" or "delete" setting * the
	  confirmation dialog is not shown for moving to trash (konqueror
	  behavior),   unless an album has subalbums GUI: confirmation for
	  moving to trash option has been removed from settings
	  (Miscellaneous) CCMAIL: 91451-done@bugs.kde.org

2004-10-17 20:46  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  forgot to commit in this when syncjob::copy changed to file_move

2004-10-17 20:43  pahlibar

	* digikam/: syncjob.cpp, syncjob.h:
	  * renamed syncjob::copy to syncjob::file_move (more like
	  kio::netaccess). remember   to remove when we upgrade dependency
	  to kde 3.2 * removed unnecessary qpixmap->qimage->qpixmap
	  conversion CCMAIL: kde@jokele.de

2004-10-17 07:16  jahrens

	* digikam/syncjob.cpp, digikam/syncjob.h,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h:
	  When the image viewer saved the modified file just before it was
	  closed, the job result could never arrive the result function of
	  the viewer. So signalFileModified was never emitted, and digikam
	  not informed about the modification.

	  CCMAIL: 91484-done@bugs.kde.org

2004-10-17 05:47  jahrens

	* digikam/tagcreatedlg.cpp: Corrected the icon size for tag edit
	  dialog

2004-10-16 19:45  jahrens

	* digikam/: syncjob.cpp, syncjob.h: deleted unused slot

2004-10-16 19:32  jahrens

	* digikam/: album.cpp, albumfolderview.cpp, syncjob.cpp, syncjob.h,
	  tagcreatedlg.cpp, tagspopupmenu.cpp, thumbview.cpp:
	  Cropping tag thumbnails, so they fit the icon frame now.

	  Additionally: Displaying the tag thumbnails in all dialogs now
	  (edit/create tag dialog and in the "Comment/Tag" dialog).

	  CCMAIL: 91373-done@bugs.kde.org

2004-10-16 07:29  jahrens

	* digikam/digikamapp.cpp: After changing the toolbar, the plugin
	  menus have to be restored

2004-10-14 23:17  cgilles

	* utilities/splashscreen/digikam-splash.png: Update the
	  splashscreen by Yves Chauffour : - remove banner on the top.	-
	  make more transparent the bottom banner.  CCMAIL:
	  digikam-devel@lists.sourceforge.net, yves.chaufour@wanadoo.fr

2004-10-14 09:04  pahlibar

	* digikam/albumdb.cpp:
	  escapeString wasn't being used for item name in import from xml.
	  fixed CCMAIL: 91290-done@bugs.kde.org
	
	
v0.7-beta1		10/13/04 
----------------------------------------------------------------------------
        * cgilles (2004-10-11): Fixed 'OpenInKonqui' action in according 
          with the current album selection
        * cgilles (2004-10-11): Added 'Gamma Adjustment' menu option 
          (GammaCalibration kipi plugin removed).
        * cgilles (2004-10-11): Added 'Open in Konqueror' menu option (DirOperations
          kipi-plugin have been removed!) 
        * cgilles (2004-10-11): Added digikamimageplugins tip of day if available.
        * pahlibar (2004-10-10): fixed recursive calls in the resizedialog which 
          hung the app 
        * jahrens (2004-10-09): Double click on a tag/album/collection opens / closes it,
          depending on it's previous state.
        * cgilles (2004-10-09): Update Digikam Splashscreen by Yves Chauffour.
        * pahlibar (2004-10-06): make sure that the messages from the kioslaves are
          i18ned. the translations are in digikam catalogue.
        * jahrens (2004-10-05): Setting album thumbnail through drag and drop.
          Setting the dropped image as the album thumbnail. If the ctrl key
          is pressed, when dropping the image, the thumbnail is set without
          a popup menu. Otherwise it is shown a popup menu.
        * cgilles (2004-10-05): Added new method for to get (X,Y) selection
          coordinates. Request for digikamimageplugins (Raindrop especially). 
        * pahlibar (2004-10-04): enable tagalbums to be seen by kipiplugins. tag albums
          have a prefix "Tag:" in their name to differentiate from normal albums
        * pahlibar (2004-10-04): added option to not ask for confirmation before moving
          items to trash (off by default).
        * pahlibar (2004-10-04): configure.in tests revamped:
          merge multiple configure.ins into one. use pkg-config for libkipi and libkexif
          output clearly at the end as to the status of each of the configure tests
        * jahrens (2004-10-04): The album thumbnails are stored with a relative path in
          the db now. So the album thumbnail will be kept if the album is moved to another
          parent. 
        * pahlibar (2004-10-04): put the fear of the lord in the user when deleting camera
          items. make sure that they understand the files are unrecoverable
        * pahlibar (2004-10-04): deleting items will either move-to-trash (default) or
          actually delete, depending on user settings.
        * jahrens (2004-10-03): Changed the drag'n'drop behavior when objects are dropped,
          so we have standard drag'n'drop behavior in digikam when the shift or ctrl key is
          pressed. 
          - dropping images on a tag with ctrl key pressed
          The tag is assigned to the images without displaying a popup menu
          which asks if that really should be done (bugzilla #89007)
          - dropping images on an album
          (a) ctrl key pressed: the images are copied to the album
          (b) shift key pressed: the images are moved to the album
          (c) no key pressed: popup menu is shown, whichs asks what to do
          - dropping an album on another album
          (a) ctrl key pressed: the album is copied to the other album
          (b) shift key pressed: the album is moved to the other album
          (c) no key pressed: popup menu is shown, whichs asks what to do
        * pahlibar (2004-10-01): thanks to joern's invaluable contributions to digikam,
          his status has been upgraded from a "mere" developer to author
          also give credit to hans karlsson for the very cool digikam banner and app
          icons
        * pahlibar (2004-10-01): finish implementing the remainder of the camera interface
          features: 
          - context menu for viewing, exif, properties, download, delete
          - new properties dialog
        * jahrens (2004-09-30): 
          - Added an item ("Set as Album Thumbnail") to the context menu in the thumbnail
          view to select a particular image as the album thumbnail - to let the user choose
          his own thumbnails for the albums.
          - Furthermore I've changed the album thumbnail creation completely. The image path,
          from which the album thumbnail was created is now stored in the digikam database.
        
          To create these new album icons, the user has to browse through his albums. The
          first readable image will be used as the default icon. Then he can change the
          album thumbnail to an images he likes (with the context menu as described above).
          This is not the best solution to create the new thumbnails, but we decided not to
          add too much special code to the application which is only needed for the first
          run after an upgrade.
        * pahlibar (2004-09-30): some installations do not specify extern "C" in jpeglib.h
          which leads to linking problems.
        * pahlibar (2004-09-30): new icons for digikam. special thanks to Hans Karlsson
          for this lovely piece of work
        * pahlibar (2004-09-29): auto orientation of image using lossless jpeg operation
          implemented in the cameragui. on by default. customize in the advanced options
        * pahlibar (2004-09-28): use mime specific icons for camera items
        * pahlibar (2004-09-28): removed kioslave camera implementation (has been replaced
          with threaded version) 
        * cgilles (2004-09-27): Added icon for imageplugins help
        * pahlibar (2004-09-24): 
          - simplified camera gui interface
          - kioslave interface was getting too kludgy. replaced with threads
          - advanced options: currently implemented - file rename while downloading
        * jahrens (2004-09-23): added setIcon for PAlbum
        * pahlibar (2004-09-21): sync with libkipi changes
        * pahlibar (2004-09-20): use ktempfile to save the generated thumbnail (fudged
          from kio::previewjob) so that race conditions with other apps is prevented and
          also files are saved with 0600 permissions (closer adherence to fd.o stds)
        * pahlibar (2004-09-19): sloppy programming. forgot to escape the urls/filenames
          for the database query.
        * rytilahti (2004-09-18): save the splitter position
        * pahlibar (2004-09-16): Fixed crash when deleting files (this should fix the
         rename batchprocess plugin crash reported by gilles also). thumbnailjob was
         referencing a kfileitem which got deleted by kdirlister. couldn't find the exact
         place of the problem, so reverted back to using kurls in the thumbnailjob.
         - removed imlib2 loading of thumbnails, as some tests indicated that faster
         loading of thumbnails can be doing a png load directly into a qimage. code for
          that coming soon.
        * pahlibar (2004-09-15): sync with libkipi changes
        * pahlibar (2004-09-15): 
          - move the deleting files from database code from the main app to kioslave,
          this makes the deleting file operations appear much lesser non-blocking
          - added code for showing the tag albums in the kipiplugins, but disabled it
          till issues with the imagegallery are resolved.
        * pahlibar (2004-09-15): strip off newlines from squeezed text. clears up
          rendering issues in the thumbnail view
        * cgilles (2004-09-13): Added Kipi version informations to the GUI (Digikam about
          and plugins setup) 
        * pahlibar (2004-09-12): context specific enabling/disabling of album/tag specific
          actions in the menubar
        * pahlibar (2004-09-10): refresh album comments in the thumbnail view when album
          comments are changed using the album property editor
        * cgilles (2004-09-10): Fixed album properties dialog layout.
        * cgilles (2004-09-09): Added release ID header file
        * pahlibar (2004-09-08): allow addition of new images from external sources
          supported by kio
        * pahlibar (2004-09-08): polishing... one of the two views (left - tree, right -
          thumbnail) will have the appearance of focus. this prevent ugly focus outs when
          for eg, a context menu is requested on a view.
        * pahlibar (2004-09-08): don't stat if the src url is not a local
          file/directory. just pass it on straight through to kio::copyjob
        * cgilles (2004-09-08): Added PNG max compression when saving PNG images
        * pahlibar (2004-09-07): 
          - moved out context assign/remove tags menu into separate class
          - now remove tags menu will show only those tags which have been
          assigned to at least one item
        * pahlibar (2004-09-07): 
          - option to hide toolbar in fullscreen mode in the imagewindow
          - pressing ESC will exit out of fullscreen mode
        * pahlibar (2004-09-07): 
          pressing escape in the imageviwer fullscreen mode will exit out of the 
          fullscreen mode
        * pahlibar (2004-09-06): 
         hide menubar & statusbar in fullscreen mode for the imagewindow.
         plug and unplug the fullscreen action in the toolbar accordingly
        * pahlibar (2004-09-06): 
          create the toolbar with proper object name. dunno why ktoolbar took off
          the option to specify the object name in the constructor
        * pahlibar (2004-09-05): 
          following a suggestion from mornfall, its now possible to assign/remove tags
          which have subtags from the context menu, without causing too much confusion
        * pahlibar (2004-09-05): 
          reposition filetip after resize.
        * cgilles (2004-09-05): Fixed an i18n problem between the real ImagePlugins name
          and the ImagePlugins loading/unloading fonctions. 
          Using now the libraries plugins name for the ImagePlugins setup.
        * pahlibar (2004-09-04): 
          finally.... proper indication of which of the left and right view have
          the focus in the mainwindow. the view which has the focus is shown
          raised and the other one is shown sunken
        * pahlibar (2004-09-04): 
          fixed restoring the position and size of mainwindow and imagewindow(previous 
          commit) after fullscreen maximization
        * pahlibar (2004-09-04): 
          fixed broken fullscreen maximization for imageeditor.
        * jahrens (2004-09-04): 
          - minor drag and drop changes
           - disabled dropping an album to another album when in "ByFolder-Mode"
           - changed AlbumDrag constructor
           - handling dragging pixmap when no pixmap is available
        * cgilles (2004-09-03): Added missing i18n for entry menu
        * cgilles (2004-09-03): Fixed include header. Work fine now with
          digikamimageplugins cvs module (alone mode resqueted by Achim Bohnet). 
        * cgilles (2004-09-02): Fixed header for digikamimageplugins building
        * cgilles (2004-09-02): Using KIPI icon
        * jahrens (2004-09-01): 
          - album drag and drop
            - albums can be moved/copied in the album folder view through drag and drop. 
              So albums can be rearranged.
          - albums can be dropped on a collection to assign it to the collection
          - Completely rewrite of AlbumFolderView::contentsDragMoveEvent()
        * pahlibar (2004-09-01): don't do the albumfolderitem open/close once the initial
          loading is complete. this prevents surprises during DnD copy/move of albums
        * pahlibar (2004-09-01): use digikamio for copying/moving files/albums.
        * pahlibar (2004-09-01): 
          - app interface for digikamio kioslave: uses digikamio kioslave for
          file/folder copy/move within the album library and KIO::copyjob for
          external file/folder copy/move.
          - busyprogressbar: a progressbar which shows a busy indicator when the
          total and current progress is not (the progress bar shuttles from
          left to right). used within the digikamio app interface. can be used
          elsewhere
        * pahlibar (2004-09-01): 
          digikamio:
          - new kioslave for file/folder copying/moving while preserving all metadata.
          - unlike kde file kioslave this can move/copy folders recursively
          - handles four cases of copy/move: a) album copy/move b) file copy/move
           c) external folder copy/move into album library d) external file copy/move
           into album library
        * cgilles (2004-09-01): Fixed slider/spinbox slots
        * jahrens (2004-08-31): Minor drag and drop changes
        * cgilles (2004-08-31): Added link to DigikamImagePlugins handbooks in ImageEditor
          help menu 
        * jahrens (2004-08-30): Drag and drop improvement:
          An album is opened and displays its children when the mouse pointer pauses over
          the album during drag and drop. 
        * jahrens (2004-08-29): Added an import option to import image folders as digikam
          albums 
         - select the parent album in the folder view (if no album is selected root will be the parent)
         - Album->Import->Import Folders...
         -select the folders in the appearing file select dialog
        * rhoezler (2004-08-26): - "Correct EXIF orientation tag" now works on all
          selected images, not just the first one 
        * pahlibar (2004-08-26): 
         - if drag moves over an unacceptable position, remove the old droptarget
          and set it to zero. prevents surprises in case of dropevents.
        * pahlibar (2004-08-26):  as joern pointed out the drag was being called out
          multiple times. i turned on the contents mouse tracking for implementing the
          tooltips which led to this breakage.this commit will set startDragItem to zero
          once mouse leaves the widget 
        * jahrens (2004-08-26): Dragging an object in the albumiconview can continuously
          produce new drag objects.
          1. Select an image in the albumiconview
          2. drop it on the albumfolderview or at the window title, so the drag object 
           is destroyed
          3. don't press the mouse button and leave the mouse over the albumiconview,
           but not over an image. the image is still selected.
          4. switch to another desktop by a shortcut and switch back to the desktop
           that displays digikam
          5. a new QMouseEvent is generated. Since the mouse isn't positioned over an
           image a new drag object for the previously selected image is created -> bug!
        * rhoezler (2004-08-26): - Fix order of transformation during EXIF auto rotate
          Add missing "horizontal flip" option that was lost when moving it to the image menu
        * cgilles (2004-08-26): Add new cursor changing method for the image preview
          widget (using by the long preview process like OilPaint for to show a 
          waiting cursor in the widget area).
        * cgilles (2004-08-25): Setup : fixed kipi plugins icon setup.
          ImagePreviewWidget : Added moved action between Pan icon widget
          and Image region widget when the selection focus have changed (thanks to Joern 
          for this idea). The Image Region is updated but not the preview effect during the
          selection mouvement (only when the mouse is released). This way improveme the
          region selection choise in the original image.
        * cgilles (2004-08-25): Fix pan size for the large original image.
        * pahlibar (2004-08-24): fix a bunch of memory leaks
        * pahlibar (2004-08-24): fix memory leak
        * pahlibar (2004-08-24): enable ok button only if values have changed from zero
          state.some cleanup in hsl
        * pahlibar (2004-08-24): hide tooltip on mouse wheel event
        * cgilles (2004-08-24): Moved all Digikam widgets in /libs/widgets folder.
          Fixed Makefiles in according.
        * pahlibar (2004-08-23): warn users on an attempt to delete an album or a tag, if
          there are sub albums and tags. also show the number of sub albums and tags.
        * pahlibar (2004-08-23): use WStyle_Splash for splash screen. makes splashscreen
          hideable by clicking on it. added a new page to the setup dialog
          (Miscellaneous). added option to turn off splashscreen
        * pahlibar (2004-08-22): write comments only to jpeg jfif section. we want to
          reserve exif user comments for the Adobe XMP metadata (maybe)
        * pahlibar (2004-08-22): use kmenubar instead of qmenubar for the guibuilder, so
         that kde specific menubar settings (Mac OS type menubar for eg) is respected
        * pahlibar (2004-08-22): break lines in tooltip only at word boundaries
        * jahrens (2004-08-22): Tags can be dropped on images to assign the tag
        * pahlibar (2004-08-21): show filesize in both human readable form and in bytes 
          change Date -> Modification Date
        * pahlibar (2004-08-21): use local aware date string format. break comments when
          too long 
        * pahlibar (2004-08-21): show corner arrows based on position (fudged from
          kfiletip(libkonq)) 
        * pahlibar (2004-08-20): don't show tooltips if thumbview is not the active window 
        * pahlibar (2004-08-20): loose the tooltip on focusout
        * pahlibar (2004-08-20): showing tooltips is now configurable. on by default
        * pahlibar (2004-08-20): show meta info also in tooltip (at some point we will
          have to make this customizable)
        * pahlibar (2004-08-20): polishing tooltip - break line between tags, don't break
          line elsewhere, strip leading / from album/tag names (albumfiletip.cpp)
          hide tooltip on mousepressevent on thumbnail view (thumbview.cpp)
        * pahlibar (2004-08-20): tooltips for thumbnail items
        * pahlibar (2004-08-19): use middle mouse button to scroll image
        * pahlibar (2004-08-18): assign/remove tags in bulk using right click menu
        * jahrens (2004-08-18): Added drag and drop for tags.
          - Tags can be moved and dropped on another tag inside the album folderview,
          so it is possible to rearrange the tag hierarchy.
          - When a tag is moved to another parent its children are moved as well.
        * pahlibar (2004-08-18): seems the last deselecting items when selection box
          changes wasn't completely correct. ctrlbutton-down-and-mousemove should not
          remove existing selection 
        * pahlibar (2004-08-18): drag selection should unselect items outside the
          selection box. 
        * pahlibar (2004-08-16): show an error message if exif correction fails
        * pahlibar (2004-08-15): set block size of gdbm file to 0, so that it will pick up
          the correct blocksize from the filesystem. prevents thrashing of the filesystem
          so much 
        * pahlibar (2004-08-15): do the initial selection of albums/tags only after all
          albums have been loaded. last selected tag can also be remembered now.
        * pahlibar (2004-08-14):  dump and restore album tree state. remember last album
          opened (only physical albums, not tags - as listing files in tags requires that
          the corresponding physical albums have been loaded already and because of kio
          loading of albums, this is not guaranteed)
        * pahlibar (2004-08-12): added theme "Clean"
        * rhoezler (2004-08-12): Move "Set Exif Orientation" RMB entry to Image->Correct
          Exif Orientation Tag. 
        * pahlibar (2004-08-12): changed version to 0.7.0-cvs. use kde b.k.o. as default
          reportbug option 
        * jahrens (2004-08-11): Changed some menus according to the kde style guide
          http://developer.kde.org/documentation/standards/kde/style/menus/index.html
        * jahrens (2004-08-11): Changed the cameraui context menu to make it look like the
          albumiconview context menu.
        * pahlibar (2004-08-10): use exif rotation only if requested
        * jahrens (2004-08-10): Added a context menu to cameraui.
        * rhoezler (2004-08-10): Save correct orientation tag if image has been EXIF
          auto-rotated and modified/saved. 
        * rhoezler (2004-08-10): Implemented EXIF-based rotation in the image editor via
          the Imlib interface. 
        * jahrens (2004-08-09): Removed populatetags to rebuild the tag layout. Instead
          adding/removing a TAlbumChecklistItem. 
        * pahlibar (2004-08-08): in thumbview, controlbutton + drawrubber should preserve
          existing selection 
        * jahrens (2004-08-07): Context menu appears after RMB everywhere in the listctrl
          (imagedescedit) with root selected as tag when no tag was under the mouse. 
        * pahlibar (2004-08-07): fix crash when requested texture width/height is <= 0
        * pahlibar (2004-08-06): enable editing of tags from comments/tag editor
        * pahlibar (2004-08-06): Compilation fixes in imagelevels.cpp. added new theme Marine
          improved Dreary Theme
        * cgilles (2004-08-06): Added methods for to load/save levels data values from/to
          a Gimp levels text file. 
        * pahlibar (2004-08-05): add a menuitem to add a camera from the cameras menu
        * pahlibar (2004-08-05): moving to the first row of thumbnails using keys will
          ensure that the header is also shown
        * pahlibar (2004-08-05): bump up the version of the xmlgui file
        * cgilles (2004-08-05): Added Set/Get levels values methods.
        * pahlibar (2004-08-04): arrow in listview should use text color
        * jahrens (2004-08-04): Added a context menu to comments/tags dialog
          (ImageDescEdit) to add/delete tags. "Edit" is still unavailable, because changes 
          made to tags in this dialog are not forwarded to the albumiconview. So I have
          disabled edit until I found a solution. 
        * pahlibar (2004-08-04): digikam gets theming support. fluxbox style themes
         (texture renderer fudged from fluxbox code). themes can be installed at system
         level $PREFIX/share/apps/digikam/themes or in user home directory in
         ~/.kde/share/apps/digikam/themes. sample theme ("Dreary") included
        * cgilles (2004-08-04): ImageEditor: fixed disable menu actions when an image is
         opened from cameraclient. The actions are 'File/remove from current Album' and
         'Image/Comments' 
        * cgilles (2004-08-03): ImageEditor :
          - Added config tab in main setup dialog.
          - New option: JPEG quality image during saving operations.
          - New option: background color setting.
          - Fixed TIFF saving operations.
        * pahlibar (2004-08-02): renaming of albums while retaining meta data
        * cgilles (2004-08-02): Histogram viewer: added drawing all color channels (RGB)
          at the same time capability. 
        * cgilles (2004-08-02): Fixed AddImage method. Tested with BatchProcessImages plugins. 
        * cgilles (2004-08-02): Added selection mode option in constructor.
        * cgilles (2004-08-02): fixed histogram viewer crash if current image loaded failed
        * cgilles (2004-07-30): Fixed histogram rendering in according with Achim bohnet
          advices. 
        * pahlibar (2004-07-30): Fix crash when slave dies
        * cgilles (2004-07-30): Added wait cursor during image traitments. The calculation
          can be long if the image size is big. 
        * cgilles (2004-07-30): Using ImageHistogram API in normalize and Equalize algorithms.
        * cgilles (2004-07-29): First import of autolevel correction class (adapted from
          the Gimp2.0). Added menu entry in ImageDitor for AutoLevel correction.
        * pahlibar (2004-07-28): added iterator for albums
        * jahrens (2004-07-28): Changed drag'n'drop popup menues to make them look like
          other kde applications 
        * cgilles (2004-07-28): Added new common ColorGrdientWidget for HistogramViewer in
          ImageEditor and File properties dialog. Source code more simply...
        * cgilles (2004-07-28): Added new image Histogram tab in File properties dialog.
        * cgilles (2004-07-28): Added image Histogram Viewer.
          - New Histogram manipulation class.
          - New Histogram widget.
          - New Histogram Viewer dialog for ImageEditor.
        * jahrens (2004-07-27): Added drag'n'drop from external sources to AlbumFolderView 
        * pahlibar (2004-07-27): Reorganization of cvs.
          - digikam/libs digikam/libs/guibuilder digikam/libs/histogram added
          - guibuilder code moved to digikam/libs/guibuilder
        * pahlibar (2004-07-26): added texture building routines (fudged from
          fluxbox). this will form the basis of theming support for digikam (around
          v0.8). use the texture routines to build base pixmaps for thumbnail
          items. currently hard-coded colors. 
        * pahlibar (2004-07-26): when the native thumbnail loader fails and kde previewjob
          is used, the previewjob returns the thumbnail with fileitem. if the file got
          deleted in the meantime or the album got changed, digikam will crash as the
          kfileitem has been deleted and we are referencing a deleted item. solution: use
          kurl causing previewjob to generate its own kfileitem and on return use the url to
          find the item in the dictionary to assign the pixmap.
        * jahrens (2004-07-25): Adding a tab to KPropertiesDialog to show the extra
          information retrieved from the camera 
        * pahlibar (2004-07-25): double-click/return-press will open up the imageviewer
          for the camera file items
        * pahlibar (2004-07-25): Disable saving of images when viewing a camera file in
          the image editor. User can still use saveas to save the file elsewhere. at some
          point, we have to start thinking of allowing user to save the file and the file
          gets uploaded back into the camera. maybe too much of a hassle for an
          infrequently used operation
        * pahlibar (2004-07-25): implemented viewing image
        * pahlibar (2004-07-24): - added: retrieve and show camera information
          (summary/manual/about). fix: the error dialog in camera window is now correctly
          placed over the camera window.
        * pahlibar (2004-07-24): slowly adding back all the old features from the
          digikamcameraclient 
          - implemented getting exif information for a camera file item
          - pahlibar (2004-07-24): 
          - if thumbnail can't be loaded from database, delete the key
          - safety checks: check if db is valid
        * pahlibar (2004-07-23): "instant loading" thumbnails
          - creates a database file (gdbm database) in ~/.thumbnails
          - adds a tiny low resolution (48x48) thumbnail for each file in the album
          that you browse to using digikam
          - on loading an album, this database is queried to see if a thumbnail is
          present for a file and if yes, this thumbnail is loaded, rough scaled to
          the size needed and shown.
          - the regular thumbnail loader runs in the background, as usual, and it
          keeps updating the displayed thumbnails, essentially smoothing the
          thumbnails.
         - result is that if the user visits an album which he/she has browsed to
          before, the rough thumbnail are shown fast and then the smoothing process
          of the thumbnails begin.
         - regular thumbnails are still stored according to the freedesktop standards
        * pahlibar (2004-07-23): 
          - set the cursor to a busy cursor when loading images.
          - semi-progressive painting of the images when flipping between
          images. essentially what it does is splits the painting of the image into
          multiple small paints (stripwise). used only when loading an image and not
          while scrolling/zooming/... . scrolling through images should be
          non-blocking and seem a bit faster
         - preload next image (not really sure it helps since rendering is the
         - most expensive part and we do not do any rendering in the preload)
         - fixed a painting bug when resizing the selection with handles
        * pahlibar (2004-07-22): fixed memory leak which caused imlib to not free memory
          on closing the imagewindow
        * pahlibar (2004-07-21): Camera File Properties dialog a la KDE file properties dialog.
        * pahlibar (2004-07-21): implemented select all/none/invert for camera window
        * cgilles (2004-07-21): ImageEditor: Added new image colors enhacement plugin
          'Normalize'. 
        * pahlibar (2004-07-20): two levels of redeye correction:
          a) mild - use if other parts of face have been selected
          b) aggressive - use if eye(s) have been selected exactly
        * pahlibar (2004-07-20): optimization for loading items in a tag (especially
          recursively). seems queries on sqlite when using JOIN tables is rather slow. by building
          the album list manually and then querying items from the tag table alone,
          the queries are much faster (nearly 10x speed increase). consequently
          listing of items from the tags  has a >2x speed increase (stating and
          listentry slow things down).
        * cgilles (2004-07-20): Fix RGB image plugin sliders (look similar with Photoshop
          and The Gimp) 
        * cgilles (2004-07-20): Fix balance values for BCG image plugin (like photoshop
          and the Gimp). 
        * pahlibar (2004-07-19): 
          - initial version cameragui
          - merged back into main application
          - interface for interacting with digikamcamera kioslave in a
          - connection oriented mode
          - only download implemented currently
          - dirselectdialog (modified from kdirselectdialog) for
          - selecting/creating target album
        * pahlibar (2004-07-18): 
          - initial version of camera kioslave
          - unlike kamera this is a connection oriented kioslave.
          - only download implemented currently. rest to follow. initial gui tomorrow.
        * rytilahti (2004-07-17): Check if the camera hasn't been added to the list after
          the last save. Also fixed some messages to 
          KDE standard ones.
        * pahlibar (2004-07-16): improved the sepia filtering, using the hsl functions.
        * pahlibar (2004-07-16): included some utility functions to convert from RGB to
          HSL and back. Useful for plugins.
        * pahlibar (2004-07-16): fix crash in slotSaveAs. only try to write exif if both
          src and destination are jpeg files. also emit a signal to indicate that a file
          has been modified when saving.
        * cgilles (2004-07-16): ImageEditor: added new HSL balance correction plugin !
        * cgilles (2004-07-16): ImageEditor : Added new 'Free image rotation' option with
          dialog. 
        * pahlibar (2004-07-13): keyevents behave more like standard listviews.
        * pahlibar (2004-07-13): emit a signal when a file has been added. tag albums
          don't update automatically. copy all the metadata when using saveas not just the
          comments. removed unnecessary double loading of image
        * cgilles (2004-07-13): - Re-enable 'File print' option from the old ImageViewer.
          This implementation is impired of Kuickshow source code and freeze the GUI during the
          printing calculation. I will push that in a thread...
          - Added Save and Saveas method in imlibiface.
        * pahlibar (2004-07-12): Sort Images by Name, Path, Date, File Size
        * pahlibar (2004-07-12): on initial display, the initial sizes of the left and
          right view are to be in the ratio of 1:2. sometimes these sizes were not set
          right. override the resizeevent to set the ratios correctly on initial loading
        * pahlibar (2004-07-12): fix importing of images. allow importing only if
          destination album is a physical album
        * cgilles (2004-07-12): Added Image comments edit dialog for ImageEditor.
          Restored the Image Comments Edit option from old ImageViewer.
        * cgilles (2004-07-12): Restored View Exif info from old ImageViewer.
          Added new menu entry 'Image'.
        * cgilles (2004-07-12): Restored Image file properties menu option from old ImagViewer.
        * cgilles (2004-07-12): Added proview effect to sharpen and blur pimageplugins.
          Removed selection parsing.
        * cgilles (2004-07-12): BCG ImagePlugin : Added whatsthis, help button, and Reset
          values button. 
        * cgilles (2004-07-12): Added new ImageEditor plugin : colors balance (RGB adjustments) !!!
        * pahlibar (2004-07-11): shift-arrow keyboard keys will allow multiple selection of items. 
        * pahlibar (2004-07-11): Make recursive retrieval a setup option
        * pahlibar (2004-07-11): 
          - reimplement the item lister using pure kdirlister and use the new
            digikamtags protocol
          - non-blocking listing of items in Tag Albums from database.
          - Currently recursive retrieval is hard coded in by default.
            need to make this selectable in the setup dialog
          - use updatedirectory instead of reloading the items from tag in case
            of modifications. (more work might be needed here. maybe a kdirwatch
            to watch the items in the tag, as kdirlister doesn't do it for us
            thinking its a non-local protocol)
        * pahlibar (2004-07-11): 
          -  kioslave to retrieve items in a tag album in a non-blocking fashion
            implemented as a virtual filesystem with tag albums retrieved as
            virtual folders. but the files themselves are listed as local files
            with protocol "file"
          - recursive retrieval of items in subtags (only if requested)
          - an important side-effect of the kioslave is that users can see the
            tag albums in konqueror. just type digikamtags:/ in the locationbar.
            by default recursive retrieval is disabled for external applications.
        * pahlibar (2004-07-09): 
          In the comments/tag-editor Ctrl-Enter will save and move onto
          the next item. Shift-Enter will save and move to the prev item
        * cgilles (2004-07-09): Added new image plugins for ImageEditor : blur and sharpen
          filters ! 
        * pahlibar (2004-07-08): Use stdgui items for forward back buttons in
          tag-comments-editor 
        * pahlibar (2004-07-08): Added a checkbox in the comment/tag-editor to
          automatically save comments/tags when navigating between items
        * pahlibar (2004-07-07): 
          Large number of changes:
          a) interfaces subdirectory removed. some of the code moved to digikam subdir
          b) sqlite source code (v2.8.14) imported into a separate subdir
          c) AlbumManager/AlbumDB/Album (note: change in name from AlbumInfo->Album)
             rewritten from scratch
          d) AlbumDB is the new sqlite based database backend instead of the old xml
             style database. Old xml database will be imported automatically into
             the new database. No export function yet (do we still need a separate
             digikam xml format? we can think of exporting to some other app format,
             like kimdaba/kphotobook). Note: the old xml files are still retained,
             so you can safely run this new digikam on your existing album library.
          e) Album is an abstract class with derived implementations of two (currently)
             kinds: Physical Albums (PAlbum) - representing folders on the drive and
             Tag Album (TAlbum) - representing tags in the database
          f) Nested albums supported (some optimization might be needed for loading
             the initial list of physical albums). both folders and tags can have
             unlimited nesting
          g) Native light-weight implementation of a treeview to replace qlistview
             based treeview. this new implementation is flicker-free and has a cleaner
             look compared to qlistview
          h) Tagging of images added (you must have guessed it from the above statements).
             Tags are shown as "albums" under a subtree of the treeview on the left.
             Tagging can be done individually for an image using a dialog (enhanced version
             of  the old comments dialog) or in bulk by selecting a bunch of images and
             dragging and dropping on a tag.
          i) rewrite of the painting routines by getting information from the database
             diretly instead of loading it into memory. thumbnail items have a fixed
             grid size and text not fitting into the grid will be shown truncated with dots.
             (need to add a tooltip for this)
          f) extra information that can be shown in the thumbnail view:
             name (yes, name is hideable), date, file size, resolution, comments,
             jpeg comments, tags. removed items: Exif comments and mimetype
          g) lots more. i will add them to the ChangeLog as and when i remember them
        * cgilles (2004-06-23): Fixed TipOfDay slot
        * cgilles (2004-06-23): Extract the DigikamPlugins TipOfDays for LibKipi.
          Add a merging call of Digikam and Kipi TipsOfDays at the same time.
        * cgilles (2004-06-23): Update
        * cgilles (2004-06-19): Fix release number 0.6.3 -> 0.7.0
          Added ReadSettings method to kipiinterface.
        * cgilles (2004-06-18): [no log message]
        * cgilles (2004-06-16): Fix KIPI plugins category indentification in according
          with last libKIPI changes. 
        * cgilles (2004-06-15): Changed plugins category identification in according with
          the last LibKIPI changes. 
        * cgilles (2004-06-15): Updated the menu and popup menu in according with KIPI
          plugins actions. Added 'album_action' collection. 
        * pahlibar (2004-06-14): make sure image resize dialog has the imagewindow as
          parent, so that it doesn't cause the imagewindow to bury itself when invoked
        * cgilles (2004-06-14): The Batch Processes KIPI plugins can be used now directly
          by the AlbumFolder popup menu. 
        * cgilles (2004-06-14): Fixed KIPI plugins dynamic loading/unloading
        * pahlibar (2004-06-13): 
          Shift-Wheel to move between images. Ctrl-Wheel to change zoom
        * pahlibar (2004-06-12): 
          1) zoom in small steps 10% increments
          2) hold shift button and roll the wheel mouse to zoomin/out
        * pahlibar (2004-06-12): 
          fixed minor painting issue with the selection rectangle
        * pahlibar (2004-06-12): 
         alpha blended selection for smooth selections unlike the last
         cross-hatched pattern from qpainter. 
        * pahlibar (2004-06-12): 
          1) Bump up the delay for smooth painting a bit in imageeditor
          2) add album title as caption for the imageeditor
          3) add first and last buttons to the toolbar in the imageeditor
        * pahlibar (2004-06-12): imageeditor selection gets resize handles.
        * pahlibar (2004-06-11): 
          1) Zooming should be much faster (and use considerably less memory at
          large zooms). rendering done in two phases: a sub-super-pixel sampled
          scaled one first and with a qtimer timeout an antialiased scaled one.
          we take advantage of imlib2 speed (and cache use) and render from image
          to pixmap for every repaint. only exposed area is rendered unlike
          previously where the entire image was rendered to a cached pixmap.
          
          2) fix 2 of the bugs reported by  Mikolaj Machowski:
            a) space between resolution and "pixels"
            b) imageviewer being pushed back behind main app when a plugin
               dialog opens
        * rhoezler (2004-06-11): Implement Libkexif changes (writing EXIF data without
          reading it). 
        * rhoezler (2004-06-08): Make it compile after Libkexif change.
        * pahlibar (2004-06-08): minor performance optimizations. don't render to mask
          unless image has alpha 
        * pahlibar (2004-06-08): 
          Cleaned up the imageplugin interface. hopefully should be easier to program for.
          enable selection based image plugin actions (eg. redeye) only if a selection
          is made
        * pahlibar (2004-06-07): 
          first set of digikam imageeditor plugins:
          1) adjust brightness/contrast/gamma
          2) convert to black & white
          3) convert to sepia (too strong a sepia cast now. need to fix this)
          4) solarizing plugin
          5) redeye correction plugin.
        * pahlibar (2004-06-07): 
          new imageeditor merge. old imageviewer still retained (not compiled though,
          till all the functions are ported).
          New features:
          1) ported to imlib2
          2) new gui - based on qmainwindow with menubar and toolbar
          3) plugin interface so that image editor plugins can be written externally
          4) native dynamic gui builder instead of xmlgui for performance reasons.
          5) new selection method
          6) new resize image option
        * rhoezler (2004-06-07): - Check for and use Libkexif from kdeextra-libs-1 now for
          Digikam. Building digikam/utilities/kexif is disabled, but I won't remove the
          files until we're sure it doesn't cause any problems.
        * cgilles (2004-06-07): Enable kipi plugins support on configure script by default.
        * rhoezler (2004-06-07): - Load KIPI plugins via loadPlugins() again
          - Pass entire path to plugin, not just image name
        * rhoezler (2004-06-06): - Prevent digikam from crashing, if it could not get a plugin.
        * rhoezler (2004-06-06): - Make digikam compile with the lateset libkipi changes
        * pahlibar (2004-06-02): 
          prevent thumbnail kioslave from crashing, if the imlib2 imageloader is
          not able to return image data
        * pahlibar (2004-06-02): 
          more subdued highlighting for thumbnails.
          load the metainfo only if its requested (showing the initial screen with
          filenames and empty thumbnails should be much faster now if file comments
          and/or resolution is not requested). fix memory leak if file metainfo is
          requested multiple times.
          in setup warn users that above two makes things slower.
                * <Gilles Caulier> Added new ImagePlugins setup for ImageEditor. The ImagePlugins 
	  can be loaded/unloaded dynamicly.
	* <Gilles Caulier> Added new widgets for ImagePlugins: imageregionwidget, 
	  imagepreviewwidget, and imagepaniconwidget. Updated blur and sharpen ImagePlugins.
        * <Gilles Caulier> ImageEditor: Added new ImageEditor settings in main 
	  setup dialog. New options for JPEG compression value and Background color.  
        * <Gilles Caulier> ImageEditor: Auto-correction of levels plugin. 
        * <Gilles Caulier> ImageEditor: Equalize image plugin. 
        * <Gilles Caulier> ImageEditor: Normalize image plugin. 
        * <Gilles Caulier> ImageEditor and main window: image histogram viewer. 
        * <Gilles Caulier> ImageEditor: HSL balance correction plugin. 
        * <Gilles Caulier> ImageEditor: Free image rotation option. 
        * <Gilles Caulier> ImageEditor: Sharpen plugin. 
        * <Gilles Caulier> ImageEditor: Blur plugin. 
        * <Gilles Caulier> ImageEditor: Color balance plugin. 
        * <Gilles Caulier> Restored features from old ImageViewer to the new 
	  ImageEditor:
	  - Save and SaveAs file.
	  - File properties dialog.
	  - Exif Viewer.
	  - Remove image from current Album.
	  - Edit comments.
	  - Printing support.
        * <Gilles Caulier> LibKipi support instead DigikamPlugins.
        * <Gilles Caulier> Updated the menu and popup menu in according with 
          KIPI plugins actions. 
        * <Gilles Caulier> Removed all old Digikamplugins depencies. 
        * <Gilles Caulier> Added thumbnails creation with imlib2 API.
        * <Gilles Caulier> Added a new option in general setup for to show the 
          images resolution of Album items (using imlib2).
        * <Gilles Caulier> Added Exif actions settings tabs in Settings dialog.
        * <Gilles Caulier> KIPI plugins can be loaded/unloaded dynamicly.
        * <Ralf Holzer> Moved KExif into a separate library in kextragear-libs-1
        * <Ralf Holzer> Added rotation of thumbnails according to EXIF Orientation 
        * <Ralf Holzer> Added saving of EXIF orientation on flip/rotate in ImageEditor
        * <Ralf Holzer> Added saving of comments in EXIF UserComment field 
          and in JPEG COM field
        * <Gilles Caulier> Added Albums Collections and plugins management 
          Settings tabs in Settings dialog.
        * <Gilles Caulier> New Settings dialog based on QFrame widget (KDE standard).
        * <Gilles Caulier> Added plugins management settings.
        * <Gilles Caulier> Added Full Mime type support for images, movies, 
          audio, and RAW files.
        * <Gilles Caulier> Syncing with Sourceforge.net repository.
        * <Gilles Caulier> Updated Splashscreen for 0.7.0 by Yves Chaufour <yves 
          dot chaufour at wanadoo.fr>
        * <Gilles Caulier> Fix Makefiles for KdeExtraGears-3 KDECVS module 
          integration.

v0.6.2-RC            05/18/04    
----------------------------------------------------------------------------
        * Added a new toolsbar in ImageViewer with an images list selection
          and preview of images.
        * Added 'Image Properties' action button in ImageViewer.
        * Added 'Print image' action button in ImageViewer.        
        * Added a broken image when the thumbnailizations failed.
        * Added 'Flip image' actions button in ImageViewer.
        * Added 'Save as' action button in ImageViewer.
        * Added 'Exif info' action button in ImageViewer.
        * Added 'Comments Edit' action button in ImageViewer.

v0.6.2-pre-RC        05/07/04
----------------------------------------------------------------------------
        * Tag CVS for to export Digikam core to KDE-Extragears-3 module on KDE CVS.
        * Updated 'admin' directory from KDE CVS.
        * Added 'Remove current images from Album' action button in ImageViewer.
        * Updated Handbook.
        * Fixed a bug reported by Carsten Niehaus about Album banner not updated when
          items are removed from an Album or are moved to another Album.
        * Move TipOfDay from DigikamPlugins module to Digikam3 module.
        * Move 'Prev' and 'Next' buttons in ImageViewer before the image name and
          the zoom level box.
        * Patch from Alex Gontmakher <gsasha at cs.technion.ac.il> for
          ImageViewer: restore the zoom value when toggle off the
          autozoom. Added 1:1 zoom button.
        * Updated main GUI icons from Sebastian Roder <seppelrockt at web.de>
        * Updated Splashscreen for 0.6.2 by Yves Chaufour <yves dot chaufour at wanadoo.fr>
        * Fixed contributors list.

v0.6.1-Final     04/05/04
----------------------------------------------------------------------------
        * Updated i18n (*.po and *.desktop files).
        * Updated ES and IT handbooks translations.
        * Prepared Polish and Dutch Handbooks files for translations.
        * Added Polish translations by Anna Sawicka.
        * Added Dutch translations (main GUI) by Jasper van der Marel.
        * Fixed UTF-8 encoding in *.desktop files by Janusz.

v0.6.1-RC        03/22/04
----------------------------------------------------------------------------
        * Updated handbooks
        * Updated translations.

v0.6.0-Final     02/08/04
----------------------------------------------------------------------------
        * Added Danish i18n. 
        * Patch from Achim Bohnet : printwizard and sendimages use group
          images_plugins. digikamui.rc only has only image_transfrom_plugins entry.
          Appended patch add image_plugins back.
        * Bugfix when moving image between source and destination folders.
        * BugFix in ImageViewer with Crop operation.

v0.6.0-RC        11/27/03
----------------------------------------------------------------------------
        * Added plugins submenu 'Transform' in 'images' main menu.
        * Added Czech and Hungarian i18n.
        * Removed jpeglossless code from main application. Moved to a plugin
        * Added kioslave based thumbnail generation code. there were
          problems with the threaded version and some qt/kde versions.
        * Drag and drop copy/move of images between albums will also copy/move
          comments. these use wrappers around kde kio classes to move/copy 
          comments along with the files
        * Plugins can merge their actions into the right-click menu of the
          thumbnailview by just adding "X-Digikam-MergeMenu=true" in their
          desktop file
        * Removed a source of flicker in the albumiconview
        * Thumbnail Generator added to interfaces. more robust (with
          jpeg error checking - thanks to Marcus Meissner) and simpler to
          use (using signals/slots). Provides a non-blocking thumbnail
          generation interface compliant with freedesktop.org
          standards (which is used by the main application and also can be
          used by any of the plugins).
        * Now instead of download to directory in the cameraclient, we
          have download to album. also new albums can be created directly
          from the cameraclient.
        * Fixed selection problem in albumfolderview in case of DnD.
        * Fixed a bug in Album::getPath() API plugins implementation.
        * Plugins can refresh the view if they change the comments of the items.
        * Now, the album library is the only place where you add or delete albums.
        * All the information for an album (collection,date,comments) and for the
          items in the album (currently only comments) are stored in a single xml
          file ( called digikam.xml ) inside the album itself.
        * Now albums are directly detected in the album library path, no need
          for manual addition and deletion.
        * The comments.xml file has been changed to digikam.xml and its format
          also has changed.
        * Added a doxyfile to generate documentation for the plugin API.
        * Now we have a new clean API and its well documented.
        * Fix 3 no named actions for image rotation in Digikam.
        * Improve shorcuts rendering in documentation.
        * Add 'Selection' menu actions in Digikam.
        * Bug fix with "ad-hoc" protection for image comments in album folders.
        * Fix a bug with null pointer and libexif.
        * Update Toolbar in Digikam.
        * Add default shortcuts in Digikam and Digikamcameraclient.
        * Add FullScreen mode in Digikam and Digikamcameraclient.
        * Fix FR translations by Michel Grentzinger <mic.grentz@online.fr>.
        * Fix and update Doc.

v0.6.0-beta2        09/13/03
----------------------------------------------------------------------------
        * Add new i18n screenshots in handbooks.
        * Add new toolbars icons in Digikam and Digikamcameraclient.
        * Improve GUI i18n.
        * Digikam Setup and Exif informations dialog box auto center on the desktop.
        * Resize CameraInfo dialog box.
        * Add 'Friends', 'Holidays', and 'Todo' album types.
        * Fix 'dmessagebox' showing.
        * Update default .rc files with news toolbars icons.
        * Fix size problem in general setup dialog box with Album types list.
        * Fix toolbar icons with KDE standard icons in 'imageviewer'.
        * MPEG images converter plugin. Author : Gilles Caulier. From 'kvcdtools' project
          (http://kvcdtools.free.fr).
        * HTML export plugin. Author : Gilles Caulier. From 'kimgalleryplugin' konqueror plugin
          (KDE CVS HEAD branch).
        * Add some Album informations interfaces for the plugins implementations.
        * Add automatic i18n HTML handbooks convertions fonctionnality.
        * Add new default shortcuts.

v0.6.0-beta1        09/01/03
----------------------------------------------------------------------------
        * Remove some build '.in' files on CVS.
        * KDE UI standard:
          Menu Setup ==> Settings.
          Menuitem Preferences ==> Configure Digikam...
        * Standard 'Configure Shortcuts...' in Settings menu (digikam & digikamcameraclient).
        * Standard 'Configure ToolBars...' in Settings menu (digikam & digikamcameraclient).
        * Add a error messagebox when a error is encoured for the first time Digikam start
          like a KDE service.
        * Add Kdevelop 3.0 (alpha5 - 09/01/2003) project.

v0.6.0-beta0        02/26/03
----------------------------------------------------------------------------
        * Moved the camera interface to separate application with dcop
          communications.
        * New GUI for the main interface.
        * Simple Plugin architecture so that new plugins can be written
          for added functionality (currently added plugins: raw image
          converter, slideshow (with effects stolen from kslideshow)).
        * QIconView trashed (too much flicker). Use a custom iconview
          with banners and extra text display and of course, much less
          flicker.
        * ThumbnailView in the main interface can show file size, date,
          comments.
        * Thumbnail sizes have changed (64 Small, 100 Medium, 160 Large,
            256 Huge).
        * Thumbnail generation based on the new thumbnail generation standard
          (freedesktop.org).
        * Multiple camera support.
        * Comments can be added for images.
        * Use XML for cameralists and commentslists.
        * Image Folders are shown as albums with thumnail icons.
        * Albums can be sorted: chronologically, by collections, flat list.
        * New collections can be added and each album can be assigned to
          one collection.
        * Album Dates can be modified through a gui.
        * Albums can have different titles/comments than the actual dirname.
        * New improved splash screen.
        * Image Viewer/Editor based on imlib1 with image caching. Basic
          image editing features: rotation, gamma/contrast/brightness
          correction, cropping; all without losing exif info.
        * Exif Viewer (based on libexif).
        * Lossless JPEG rotation support.


v0.5.1              09/04/02
----------------------------------------------------------------------------
        * New GUI: Added AlbumBrowser
        * Albums can be created, renamed, deleted.
        * Threaded Thumbnail generator for albumbrowser
        * Status Bar updated to show thumbnail generation progress
        * Thumbnail sizes now 64x64, 90x90, 120x120
        * ImageViewer added (opens on doubleclick)
        * Slideshow added (with or without sliding effects)
        * By Default Show All Images on camera
        * By Default Get Thumbnails for all camera items
        * Experimental Support for USB MassStorage Cameras
        * New Camera Items are marked with a "new" sign
        * CameraItem Information Dialog Updated
        * Camera Images Display can have different colored background for
          easy distinguishing from Album Images Display
        * Setup updated to show new features
        * Ability to set Default Thumbnail Size
        * While Downloading Images from camera, cache thumbnails
        * Camera Upload Functionality
        * Camera Information Dialog
        * Drag and Drop To and From Camera and  Album Browser
        * French Translation Added (Caulier Gilles)

v0.5.0               07/15/02
----------------------------------------------------------------------------
        * Ported to KDE3
        * Removed photobrowser (will introduced back only if there's
          enough demand from users)
        * Multithreaded (using QThread/QMutex) now for non-blocking operation
        * Menubar added
        * Use xmlgui for toolbars/menubars actions
        * Ability to disconnect from camera
        * Ability to hide camera folders and statusbar
        * Context specific menus for icons in camerabrowser
        * Ability to resize thumbnails for display
        * Added documentation
        * Added debian rules
        * Added suse rpm spec file

v0.4.1               06/01/02
----------------------------------------------------------------------------
        * Updated API to gphoto2-2.0-final
        * Exif Support in photobrowser

v0.4                 01/17/2002
-----------------------------------------------------------------------------
        * Photo Browser added
        * Drag n' drop capabilities added for photo browser
        * context specific menus for directories and photos
        * file/directory renaming, deleting, moving support
        * image viewer added

v0.4                 01/13/2002
-----------------------------------------------------------------------------
        * New Interface : to be added - photo browser
        * Support for folder creations
        * Fixed bugs which caused app to crash on exit
        * Added camera info dialog
        * Added global folder to view all images on camera in one folder
        * Added additional setup options:
          - select default download directory
          - can connect to camera on start
          - can choose not to have thumbnails on connect
        * Configure now automatically searches for gphoto2-config

v0.3                 01/03/2002
-----------------------------------------------------------------------------
        * New Interface
        * Fixed bugs which prevented display of images in camera with
          subfolders
        * Support for file deletion on camera
        * Support for non-thumbnail views
        * Added about box


v0.2.1               12/29/01
------------------------------------------------------------------------------
        * Support for cameras with pictures
          stored in subfolders


v0.2                 12/26/01
------------------------------------------------------------------------------
        * Compiles and runs with gphoto2-beta3
          This version won't run with gphoto2-beta2
        * Cosmetic Enhancements: Display file name
          while downloading
        * Experimental Support for serial port cameras

v0.1                 12/23/01
------------------------------------------------------------------------------
        * Initial Public release
          